<?php
$fileName	= __DIR__ . '/cron.txt';
$pidFile	= __DIR__ . '/cronPid.txt';

if (!isProcessAlive()) {
	file_put_contents($pidFile, getmypid() );
	if (file_exists($fileName) && filesize($fileName)>0) {
		unlink($fileName);
	}

	while (true) {
		if(!file_exists($pidFile))
			exit;

		if (file_exists($fileName) && filesize($fileName)>0) {
			$cronFile = fopen($fileName, "r+");
			while (($buffer = fgets($cronFile, 4096)) !== false) {
				shell_exec($buffer);
			}
					
			ftruncate($cronFile, 0);
			fclose($cronFile);
		}
		sleep(2);
		clearstatcache();
	}
}


function isProcessAlive() {
	
	GLOBAL $pidFile;
	$pid = 0;
	if(file_exists($pidFile))
		$pid = file_get_contents($pidFile);
	if($pid == 0)
		return FALSE;
	
	$psPath = getPsPath();
	$psCmd = $psPath." | grep ".$pid;
	$pidList = `$psCmd`;
	if($pidList != "" && (strpos($pidList, "IDrive_cron") !== false)){
		return TRUE;
	}
	return FALSE;
}

function getPsPath() {
	$machine_type = $argv[1];
	$psPath ="";
	if("synology" == $machine_type){
		$dsmVersionCmdOut = `cat /etc.defaults/VERSION`;
		$dsmVersionArr = preg_split('/\n/', $dsmVersionCmdOut);
		chop($dsmVersionArr[0], "\n");
		$dsmVersion6 = false;
		
		if(preg_match("/\"6\"$/", $dsmVersionArr[0])){
			$dsmVersion6 = true;
		}
	
		if($dsmVersion6){
			$psPath = "ps -elf";
		}
		else{
			$psPath = "ps -wwwww";
		}
	}
	else if("qnap" == $machine_type){
		$psPath = "ps";
	}
	else if(("netgear" == $machine_type) ||("Asustor" == $machine_type)){
		$psPath = "ps -elf";
	}
	return $psPath;
}
