<?php
$username			= $argv[1];
include_once 'path.php';
$successBackup		= "Successful Backup";
$successRestore 	= "Successful Restore";

$jobType			= $argv[2];
//$job 				= $jobType . $argv[3];
$job 				= $argv[3];
$status 			= $argv[4];
$content 			= $argv[5];
$mailSubjectMsg 	= $argv[6];

# Add app version to the mail
$content 			.= "\n" . $appVersion."\nRelease Date: ".$releaseDate;

# get machine based content 
machineBasedContent($machine);
if($argc != 6) {
	$msg = "Argument mismatch.";
}

$jobs = array();

//$jobs = Scheduler::ReadSchedulerJobs("cmd", $username);
$jobs = Scheduler::ReadSchedulerJobs();
$host = Scheduler::GetHost($username);

//$job_type = isset($jobs[$job]["job_type"]) ? strtolower($jobs[$job]["job_type"]) : "";
$job_type = "Backup";
$scheduler = isset($jobs[$job_type][$job]) ? $jobs[$job_type][$job]: "";
if(isset($scheduler) && isset($scheduler["EmailNotification"]["Status"]) && $scheduler["EmailNotification"]["Status"] == "enabled") {
	if(isset($scheduler["EmailNotification"]["Frequency"])) {
		if($scheduler["EmailNotification"]["Frequency"] == "onFailure" && ($status == $successBackup || $status == $successRestore)) {
			$msg = "Notify only in failure.";
			echo $msg;exit;
		}
	} else {
		$msg = "Not subscribed for notification.";
		echo $msg;exit;
	}
} else {
	$msg = "Not subscribed for notification.";
	echo $msg;exit;
}

$sendto = urlencode(str_replace(";", ",", $scheduler["EmailNotification"]["Id"]));
$subject = urlencode(ucfirst($job_type)." Status Report [$username] ".$mailSubjectMsg."[$status]");

$schTime = 0;

if($scheduler["Frequency"]["Type"] == "startImmediately"){
	$schTime= $scheduler["Frequency"]["Date"];

}
else{
	$hourVal = 0;
	if($scheduler["Frequency"]["Type"] == "hourly")
		$hourVal = date("H");
	else 
		$hourVal = $scheduler["Frequency"]["Hour"];
	$hour = ($hourVal<=12)?$hourVal:($hourVal - 12);
	$min = $scheduler["Frequency"]["Min"];
	$hour = sprintf("%02d", $hour);
	$min = sprintf("%02d", $min);
	$schTimeVal = $hour.":". $min." ";
	$schTimeMer = ($hourVal<=12)?"AM":"PM";
	$schTimeVal = $schTimeVal.$schTimeMer ;
	$schTime = strtotime($schTimeVal);
}

$schDateTime = "Backup Scheduled Time: ".date("D M j G:i:s Y", $schTime)."\n"; 

$searchPos = strpos($content, "Backup Start Time:");
$content = substr_replace( $content, $schDateTime, $searchPos, 0 ); 
$userName = $username;
readAccountSettingsFile();

$username = urlencode($username);
$password = urlencode(base64_decode($_SESSION['password']));
$content  	= urlencode($content); # Encoding the email content
$postFields = "to_email=$sendto&subject=$subject&content=$content";
$ret = getCurlOutput(getHash("06"), $postFields);

$msg = "Email Notification sent to {$sendto}\n";

if($ret['status'] == false) {
	Scheduler::Log("Send Mail Error: {$ret['output']}, Curl error: {$ret['error']}");
}

echo $msg;
