<?php
include_once 'path.php';
if(!isset($_SESSION['validUser']) || $_SESSION['validUser'] !== true)
	exit(header("Location:../index.php"));

$pageSubmitted = false;
$SSOUserVal = FALSE;
if($_SESSION['validUser'] === true) {
    # If NAS user is not having enough permission on web directory, it will throw 403 Forbidden
	# So no need to validate web directory permission

	# check here for synology older versions which includes PHP 5.4.0 > VERSION
	if(hasPHPSafeModeEnabled()) {
		#<Deepak>
		//$_SESSION['validUser']	= TRUE;
		$servDirErrorMessage	= PHP_SAFEMOD_WARNING_MESSAGE;

		if(isAJAX()) {
			echo json_encode(array(FALSE, PHP_SAFEMOD_WARNING_HEADER));
		} else {
			echo getDirPermissionHTML(PHP_SAFEMOD_WARNING_HEADER, $servDirErrorMessage);
		}
		return;
	}
	
	# Validate for open_basedir -> /etc:
	if($machine == SYNOLOGY_LOCAL && !isOpenBaseDirValid()) {
		#<Deepak>
		//$_SESSION['validUser']	= TRUE;

		if(isAJAX()) {
			echo json_encode(array(FALSE, PHP_OPENBASE_DIR_WARNING_HEADER));
		} else {
			echo getDirPermissionHTML(PHP_OPENBASE_DIR_WARNING_HEADER, PHP_OPENBASE_DIR_MESSAGE);
		}
		return;
	}
	
	/* Checking the directory "idrive" */
	if(!is_dir("$webDir/".SERVICE)) {
		$IDrivePath = "$webDir/".SERVICE;
		/* Creating the directory "idrive" if not exist */
		if(!mkdir($IDrivePath, $permissionVal)) {
			file_put_contents($temp_file, CMDEXECUTE);
			file_put_contents($temp_file,"\nmkdir $IDrivePath\n",FILE_APPEND);
			file_put_contents($temp_file,"chmod $permissionVal $IDrivePath\n",FILE_APPEND);
			@chmod($temp_file, $permissionVal);

			$res = phpScriptExecution(OPERATIONSFILE);
			if("" != $res) {
				#<Deepak>
				//$_SESSION['validUser'] = true;

				$resp[] = false;
				$resp[] = FAILED_TO_CREATE_DIR."$webDir/".SERVICE.": ".customErrorMsg();
				echo json_encode($resp);
				return;	
			}
		}
		@chmod($IDrivePath, $permissionVal);
	}
	
	if(!clearAppUpdateLock()) {
		$resp[] = false;
		$resp[] = FAILED_TO_CREATE_DIR . $userProfile . ": " . customErrorMsg();
		echo json_encode(array(FALSE, APP_UPDATE_IN_PROGRESS));
		return;
	}
	
	# Check if directory is created and writable
	#need to check and update link if not exist.
	$servDirPerms = isDirectoryWritable($webDir . '/' . SERVICE);
	/*if(!$servDirPerms['is_exists'] || !$servDirPerms['is_writable']) {
		$servDirErrorHeader		= INSUFFICIENT_PERMISSION_MESSAGE . $_SESSION['nasUserName'];
		$resp[] = FALSE;
		$resp[] = $servDirErrorHeader;
		if(isAJAX()) {
			echo json_encode($resp);
		} else {
			echo getDirPermissionHTML($servDirErrorHeader, '');
		}
		return;	
	}*/

	/* Checking the directory "cache" */
	$cache = "$webDir/".SERVICE."/".CACHE."/";

	if(!is_dir($cache)) {
		$error= error_get_last();
		/* Creating the directory "cache" under "idrive" if not exist */
		if(!mkdir($cache, $permissionVal)) { 
			#<Deepak>		
			//$_SESSION['validUser'] = true;
			
			$servDirErrorHeader		= INSUFFICIENT_PERMISSION_MESSAGE . $_SESSION['nasUserName'];
			
			$resp[] = FALSE;
			$resp[] = $servDirErrorHeader;
			if(isAJAX()) {
				echo json_encode($resp);
			} else {
				echo getDirPermissionHTML($servDirErrorHeader, '');
			}
			return;
		} else {
			@chmod($cache, $permissionVal);
		}
	}

	/* Checking the directory "user profiles" */
	$userProfile = "$webDir/" . SERVICE . "/" . USER_PROFILE;
	if(!is_dir($userProfile)) {
		/* Creating the directory "user profiles" under "idrive" if not exist */
		if(!mkdir($userProfile, $permissionVal)) {
			#<Deepak>
			//$_SESSION['validUser'] = true;

			$servDirErrorHeader	= INSUFFICIENT_PERMISSION_MESSAGE . $_SESSION['nasUserName'];
			$resp[] = FALSE;
			$resp[] = $servDirErrorHeader;
			if(isAJAX()) {
				echo json_encode($resp);
			} else {
				echo getDirPermissionHTML($servDirErrorHeader, '');
			}
			return;
		} else {
			@chmod($userProfile, $permissionVal);
		}
	}

	# Check if directory is created and writable
	$servDirPerms = isDirectoryWritable($userProfile);
	if(!$servDirPerms['is_exists'] || !$servDirPerms['is_writable']) {
		$servDirErrorHeader		= INSUFFICIENT_PERMISSION_MESSAGE . $_SESSION['nasUserName'];

		$resp[] = FALSE;
		$resp[] = $servDirErrorHeader;
		if(isAJAX()) {
			echo json_encode($resp);
		} else {
			echo getDirPermissionHTML($servDirErrorHeader, '');
		}		
		@chmod($userProfile, $permissionVal);
		return;	
	}

	/* Checking the NAS user directory */
	$nasUserDirectory = Scheduler::$nasUser_dir;
	if(!is_dir($nasUserDirectory)) {
		# Creating the directory "nas" under user profile if not exist
		if(!mkdir($nasUserDirectory, $permissionVal)) {
			$_SESSION['validUser'] = true;
			$resp[] = false;
			$resp[] = FAILED_TO_CREATE_DIR . $nasUserDirectory . ": " . $php_errormsg;
			echo json_encode($resp);
			return;
		}
		@chmod($nasUserDirectory, $permissionVal);
	}

	#need to check for ssologin file to enable sso page.
	$ssoFile= $nasUserDirectory."/SSOUser.txt";
	if(file_exists($ssoFile)){
		$SSOUserVal = TRUE;
	}

    if($_POST) {
		$pageSubmitted = true;
		$resp = array();    
		$uname = isset($_POST["userName"])?$_POST["userName"]:$_POST["ssoUsernameHidden"];
		$pwd = isset($_POST["passwordHidden"])?$_POST["passwordHidden"]:$_POST["ssoPasswordHidden"];
		$userName = phpRealEscapeString(strtolower(rawurldecode($uname)));
		if (strpos($userName, '@') !== false){
			$idriveUserArray = getIDriveUsernameList(trim($userName));

			if(count($idriveUserArray) == 1){
				$userName = $idriveUserArray[0];
				$_SESSION['userName'] = $userName;
			}
			else if(count($idriveUserArray)>1){				
				$resp[] = false;
				$resp[] = "MULTIPLE_ACCOUNT";
				$resp[] = $idriveUserArray;
				restartSession(); //Restart session
				echo json_encode($resp);
				exit;
			}
		}

		$accountSettingsFilePath = "$nasUserDirectory/$userName/ACCOUNT_SETTINGS_FILE";
		$password  = rawurldecode($pwd);

		$usrDir    = "$nasUserDirectory/$userName";
		$temp_file = "$nasUserDirectory/$userName/temp_operationsfile.txt";

		if(is_dir($usrDir)) {
			file_put_contents($temp_file,DIRREMOVE);
			@chmod($temp_file, $permissionVal);
			phpScriptExecution(OPERATIONSFILE, "$nasUserDirectory/$userName/");
		}

		$invalidIDriveUser = false;

		$_SESSION['proxyUser'] = '';
		$_SESSION['proxyPwd']  = '';
		$_SESSION['proxyIP']   = '';
		$_SESSION['proxyPort'] = '';
		// unset($_SESSION['userName']); //Added for Harish_2.05.04_31_4:Anil

		Scheduler::SetSchedulerPath($webDir, $userName, $_SESSION['nasUserName'], $machine);

		$out = validateIDriveLoginCGI($password);
		if(strpos($out, "SUCCESS") !== FALSE)
		{
			$OTPStatus = "No2FA";
			if(!file_exists(Scheduler::$user_dir."bypass2fa.txt"))
			{
				$verifyStatus = verifyOTPStatus($password);
				$OTPStatus = $verifyStatus[0];
				if($OTPStatus != "No2FA")
				{					
					$resp[] = false;
					$resp[] = $verifyStatus[0];
					$resp[] = $verifyStatus[1];
					$resp[] = $verifyStatus[2];
					$resp[] = $verifyStatus[3];
					$resp[] = $out;
					echo json_encode($resp);
					exit;
				}
			}

			#add new method call here.
			verifyAndUpdateDependentsPostLogin($userName, $out , $password);
		}
		else if(strpos($out, "INVALID_PLAN_TYPE") !== FALSE) {
			$invalidIDriveUser = true;
			Scheduler::Log('User login failed: '.INVALID_PLAN_TYPE);
			$resp[] = false;
			$resp[] = INVALID_PLAN_TYPE;
			echo json_encode($resp);
			restartSession(); //Restart session
			exit;	
		}
		else if(strpos($out, "CANCELED_ACC") !== FALSE) {
			$invalidIDriveUser = true;
			Scheduler::Log('User login failed: '.CANCELED_ACC);
			$resp[] = false;
			$resp[] = CANCELED_ACC;
			echo json_encode($resp);
			updateAccountStatus("account has been cancelled");
			restartSession(); //Restart session
			exit;	
		}
		else if(strpos($out, "ACC_UNDER_MAINTENANCE") !== FALSE) {
			$invalidIDriveUser = true;
			Scheduler::Log('User login failed: '.ACC_UNDER_MAINTENANCE);
			$resp[] = false;
			$resp[] = ACC_UNDER_MAINTENANCE;
			echo json_encode($resp);
			updateAccountStatus("account is under maintenance");
			restartSession(); //Restart session
			exit;	
		}
		else if(strpos($out, "BLOCKED_ACC") !== FALSE) {
			$invalidIDriveUser = true;
			Scheduler::Log('User login failed: '.BLOCKED_ACC);
			$resp[] = false;
			$resp[] = BLOCKED_ACC;
			echo json_encode($resp);
			updateAccountStatus("account has been blocked");
			restartSession(); //Restart session
			exit;	
		}
		else if(strpos($out, "windows_user") !== FALSE) {
			$invalidIDriveUser = true;
			Scheduler::Log('User login failed: '.WINDOWS_USER);
			$resp[] = false;
			$resp[] = WINDOWS_USER;
			echo json_encode($resp);
			restartSession(); //Restart session
			exit;
		}
		else if(strpos($out, "nointernet") !== FALSE || strpos($out, "invalidproxy") !== FALSE) {
			$invalidIDriveUser = true;
			Scheduler::Log('User login failed: ' . NO_INTERNET);
			echo json_encode(array(FALSE, NO_INTERNET));
			restartSession(); # Restart session
			exit;
		}
		else {
			$invalidIDriveUser = true;
			Scheduler::Log('User login failed: '.INVALID_CREDENTIAL);
			$resp[] = false;
			$resp[] = INVALID_CREDENTIAL;
			echo json_encode($resp);
			restartSession(); //Restart session
			exit;
		}
    } //end of $_POST
	else
		$_SESSION['multiUser'] = false;
}

$userNameSession     = isset($_SESSION['userName'])?$_SESSION['userName']:'';
$passwordSession     = isset($passwordEscapeString)?$passwordEscapeString:'';
$encTypeSession      = isset($_SESSION['encType'])?$_SESSION['encType']:'';

if($pageSubmitted == false && !isset($_SESSION['configVerified'])){
	$displySetting    = '';
	$displyConfigure  = 'none';
	$displyGetPrivate = 'none';
} else if(!isset($_SESSION['encType']) && $_SESSION['configVerified'] == false) {
	$displySetting    = 'none';
	$displyConfigure  = '';
	$displyGetPrivate = 'none';	
} else if($_SESSION['encType'] == "Private" && $_SESSION['configVerified'] === FALSE) {
	$displySetting    = 'none';
	$displyConfigure  = 'none';
	$displyGetPrivate = '';
}  else if($_SESSION['encType'] == "Private" && $_SESSION['configVerified'] === true) {
	$displySetting    = '';
	$displyConfigure  = 'none';
	$displyGetPrivate = 'none';
	$encTypeSession = '';
} 
//Redirection path to redirect back after IDrive Signup
$signupRedirectPort = ":".$_SERVER['SERVER_PORT'];

// need to confirm why $_SERVER['HTTP_HOST'] is giving ip and port number.
// $signupRedirectURL = urlencode('http'.(empty($_SERVER['HTTPS'])?'':'s').'://'.$_SERVER['HTTP_HOST'].$signupRedirectPort.dirname($_SERVER['PHP_SELF']));
$signupRedirectURL = urlencode('http'.(empty($_SERVER['HTTPS'])?'':'s').'://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']));
machineBasedContent($machine);
isRootLevelDisplayEnabled();
$nasUserShellPerm = hasNASUserShellPermission();
$binaryChk = binaryChk();
?>

<div class="container body_wrap account_wrap account_page" <?php print "style='display:$displySetting'"; ?>>
	<div class="login-section">
	  <div class="login-wrap ">
		<p class="account-desc"><?php print $appIDriveDesc; ?></p>
		<form class="form-horizontal" id="accountSettingsForm" name="accountSettingsForm" method="POST" action="account.php" onSubmit="return validateForm1()" <?php if($SSOUserVal){ print "style='display:none'"; }?> >
			<div class="folderBackup login-table">
				<div class="input_group">
					<label for="user">Username / Email</label>
					<div class="userNameField"><input type="textbox" id="userName" name="userName" class="acc_txtbox" autocomplete="off" value="<?php print $userNameSession; ?>"></div>
				</div>
				<div class="input_group">
					<label for="pwd">Password</label>
					<input type="password" id="password" name="password" class="acc_txtbox" autocomplete="off" value="<?php print $passwordSession; ?>">
					<input type="hidden" id="passwordHidden" name="passwordHidden" class="acc_txtbox" value="<?php print $passwordSession; ?>">
				</div>
				<div class="input_group"><span class="forgotSpan" style="display:<?php print $encTypeSession==''?'block;':'none;'?>">
					<a class="forgotPWD" target="_blank" href="https://www.idrive.com/idrive/forgotPassword/redirectPassword">Forgot Password?</a></span>
				</div>
				<div class="input_group log_in">
				
					<span><a href="javascript:void(0);" onclick="goToSSOSignOIn();" class="sso-link" id="goto_sso_signin_ui">Single Sign-On (SSO)</a></span>
					<div class="login-wrapper">
					<?php if($encTypeSession=='' || $_SESSION['configVerified']==false){?>
						<input type="submit" class="scheduleBtn" name="save" value="Login" style="display:block;">
						<span class="disable_save" style="display:none;">Login</span>
						<input type="button" class="addButton" id="logoff" name="logoff" value="Logoff" style="display:none;">
					<?php } else {?>
						<input type="submit" class="scheduleBtn" name="save" value="Login" style="display:none;">
						<span class="disable_save" style="display:block;">Login</span>
						<input type="button" class="addButton" id="logoff" name="logoff" value="Logoff" style="display:block;">
					<?php }?>
					</div>
				
				</div>
			</div>
		</form>
		
		<form class="form-horizontal" id="ssoLoginForm" name="ssoLoginForm" method="POST" action="account.php" <?php if(!$SSOUserVal){ print "style='display:none'"; }?>>
			<div class="folderBackup login-table">
				<div class="input_group">
					<label for="user">Username / Email</label>
					<input type="textbox" id="ssoUserName" name="ssoUserName" class="acc_txtbox" autocomplete="off" onKeyPress="handleInput()" value="<?php print $userNameSession; ?>">
					<input type="hidden" id="ssoUsernameHidden" name="ssoUsernameHidden" class="acc_txtbox" value="">
				</div>
				<div class="input_group" style="display:none">
					<label for="pwd">Password</label>
					<input type="password" id="ssoPassword" name="ssoPassword" class="acc_txtbox" autocomplete="off" value="">
					<input type="hidden" id="ssoPasswordHidden" name="ssoPasswordHidden" class="acc_txtbox" value="">
				</div>
				<div class="input_group"><span class="forgotSpan" style="display:none;">
					<a class="forgotPWD" target="_blank" href="https://www.idrive.com/idrive/forgotPassword/redirectPassword">Forgot Password?</a></span>
				</div>
				<div class="input_group log_in">
					<span><a href="javascript:void(0);" onclick="goToNonSSOSignOIn();" class="sso-link" id="goto_sso_signin_ui">Sign in to Non-SSO account</a></span>
					<div class="login-wrapper">
					<?php if($encTypeSession=='' || $_SESSION['configVerified']==false){?>
						<input type="button" class="scheduleBtn" name="save" value="Login" style="display:block;" onclick="validateForm2()">
						<span class="disable_save" style="display:none;">Login</span>
						<input type="button" class="addButton" id="logoff" name="logoff" value="Logoff" style="display:none;">
					<?php } else {?>
						<input type="submit" class="scheduleBtn" name="save" value="Login" style="display:none;">
						<span class="disable_save" style="display:block;">Login</span>
						<input type="button" class="addButton" id="logoff" name="logoff" value="Logoff" style="display:block;">
					<?php }?>
					</div>
				</div>
			</div>
		</form>
		
		</div>
			<div class="account_rgt login-bgliner" style="display:<?php print $encTypeSession==''?'block;':'none;'?>">
			<h2 class="createAccount">Create an account</h2>
			<p>A single IDrive account can backup data from all of your devices with native apps for Linux, PC, Mac, iOS, Android, and Windows Phone</p>
			<a class="signup-btn" href="https://www.idrive.com/idrive/signup?rd=<?php print $signupRedirectURL; ?>">SIGN UP NOW!</a>
		</div>  	
	</div>   
</div>
<div id="configEncryption" class="config-container" <?php print "style='display:$displyConfigure'"; ?>>
	<div class="config-wrap">
    <div class="sub_h1">Configure your IDrive account with encryption!</div>
	<section class="encry-content">                    
		<form method="post" onsubmit="return validatePvtKey();" action="" class="container" id="enc_conf">
		  <div class="row-wrap">
			<div class="radio-btn">
			  <input type="radio" checked="" id="default" value="default" name="encryptionKey">
			  <label><b>Default encryption key</b></label>
			</div>
			<div class="default-key">IDrive will set an encryption key to encrypt all your data.</div>
		  </div>
		  <div class="key_area">
			<div class="radio-btn">
			  <input type="radio" value="private" id="encryption" name="encryptionKey">
			  <label><b>Private encryption key</b></label>
			</div>
			<div class="private-key">Set your own private encryption key to encrypt all your data. On setting this option, you will not be able to share files / folders.</div>
			<div class="key_details">                          
			  <div style="display: none;" class="key_password">
				<p><label>Set your encryption key:</label><input type="password" value="" autocomplete="off" id="pvtKey" name="pvtKey" class="input"></p>
				<p><label>Confirm your encryption key:</label><input type="password" value="" id="confmPvtKey" name="confmPvtKey" autocomplete="off" class="input"></p>
			  </div>
			</div>
		  </div>
		  <div class="encrypt-warning">
			<span class="red">WARNING:</span> IDrive does not store your private encryption key on its servers. It uses a special technique to encrypt your private encryption key that can only be used to verify, but not retrieve it. It is recommended that you archive it safely. Without your private encryption key, you will NOT be able to retrieve your data. We will not be able to provide the private encryption key information.
		  </div>
		  <div class="encrypt-submit"><input type="submit" class="encrypt-btn" value="Continue"></div>
		</form>
	</section>
    </div>
</div>
<div id="getEncryptionKey" class="config-container" <?php print "style='display:$displyGetPrivate'"; ?>>
	<div class="config-wrap">
	    <div style="" class="encryptionkey_cont">
			<div class="encrypt-img">
				<img alt="" src="include/images/encryption-lockman.png">
			</div>
			<div class="encrpt-wrap-box">
			  <h2>Encryption Key</h2>
			  <label>Enter the encryption key to access data.</label>
				<div>
					<form method="post" onsubmit="return verifyPrivateKey();" action="" class="container" id="validatePrivateKey">
					<input type="password" autocomplete="off" class="encryption_key" name="encryptKey" id="encrypt_key">
					<input type="submit" value="Continue" class="encrypt-pwdbtn">
				    </form>
				</div>    
			  <p>Provide the same encryption key set by you during your first login. <br>Do not share the encryption key to ensure your data security.</p>
			</div>
		</div>
	</div>
</div>
<div class="noshell_msg" style="display: none;">
	<div class="popup_container">
		<section class="popup_header">
			<h4>NAS User Does Not Have Enough Permission</h4>
			<span class="popup_close_btn hide_popup"></span>
		</section>
		<span class="nas_warning">Access <b>/etc/passwd</b> file, change <b>/sbin/nologin</b> to <b>/bin/sh</b> for <b><?php echo $_SESSION['nasUserName'];?></b> user and try again.</span>
	</div>
</div>
<div class="noaccess_msg" style="display: none;">
	<div class="popup_container">
		<section class="popup_header">
			<h4>Unsupported App</h4>
			<span class="popup_close_btn hide_popup"></span>
		</section>
		<span class="nas_warning">Installed IDrive App is <b>not supported for your NAS </b> device. Please contact <b><a href="<?php echo IDRIVE_SUPPORT; ?>" target="_blank" alt="Support" style="text-decoration:none;color: #6196B9;">support</a></b> for more details.</span>
	</div>
</div>

<!--- email code popup starts--->
<div id="email_popup" class="email_popup_sec popup_sec" style="display: none;">
	
	<p class="popup_tp" style="display: none;">IDrive</p>
	<img src="include/images/popup_close_btn.png" class="close_icon">
	
	
	<h6><a class="qnap_logo" target="_blank" href="https://www.idrive.com/"></a>
		<span>Two-factor authentication</span>
		<!--<a href="<?php //echo $twoFAHelpLink; ?>" target="_blank"><img src="include/images/tool-tips-icon.png" class="tool_tip_icon"  style="cursor: pointer;"></a> onclick="open2FAHelp(<?php echo "$twoFAHelpLink"; ?>)"-->
		<img src="include/images/tool-tips-icon.png" class="tool_tip_icon" onclick="window.open('<?php echo "$twoFAHelpLink"; ?>' , '_blank')" style="cursor: pointer;">
	</h6>
	
	
	<div class="head_search">
		<div class="common_msg error_msg" >
		  <p id="errorMsg">Loading...Please wait</p>
		 <a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
		</div>
		 <div class="common_msg alert" tabindex="100">
                     <p>Loading...Please wait</p>
                     <a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
         </div>
		<div class="common_msg welcome_message" tabindex="100">
			<p>Loading...Please wait</p>
			<a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
		</div>
	</div>
	<div class="message">
		<h2 id="msgHeader">Enter the Verification code sent to your registered Email Address <strong id="email">*******@idrivenc.com</strong></h2>
	</div>
	<form class="code_form">
		<div class="input_group">
			<div class="entercodefield">
				<input type="password" id="emailCode" name="code" class="code_txtbox" autocomplete="off" value="" placeholder="Enter Code" onKeyPress="return validateSubmit(1)"  maxlength="6">
			</div>
			<p id="resendCol" >If you have not received your code, <a onclick="resendOTP()" style="cursor: pointer;">click here to resend</a></p>
			<p id="successfullySentMsg" style="display:none">Successfully sent verification code</p>
			<p id="emptyVerificationCode" style="display:none">Enter valid verification code</p>
			<p id="wrongOTPCode" style="display:none">Invalid OTP. Please try again.</p>
		</div>
		<div class="input-group btn-grp">
			<input type="button" class="cancelButton"  value="Cancel" style="">
			<input type="button" class="verifyButton"  value="Verify" style="" id="verify_email"  onclick="verifyEmailCode()">
			
		</div>
	</form>
	<div class="expire_div" id="verificationCodeTimer">
		<p >Your Verification Code will expire in <strong id="countdowntimer">05:00</strong> minutes</p>
	</div>
	<div class="resend_div" id="verificationCodeResend" style="display:none;">
		<p>Your Verification Code has expired! <strong onclick="resendOTP()" style="cursor: pointer;">Resend Now</strong></p>
	</div>
	<div class="popup_footer">
		<input type="checkbox" name="" id="trust_checkbox_check" style="cursor: pointer;" onclick="trustCheckBoxCahnge(this)"  ><label>Trust this computer</label>
		<span id="altEmailForMob" style="display:none;"><a href="javascript:void(0);" id="mail_verify_code" onclick="sendOTPToAltEmail()">Receive Verification Code</a> via email address</span>
		<span id="useAuthOtpOnly" style="display:none;" ><a href="javascript:void(0);" onclick="useOTPAuthInstead()">Verify code via Time-based authenticator app</a></span>
	</div>
</div>
<!-- email code popup ends -->

<!-- trusted device popup -->
<div id="trusted_email_popup" class="trust_email_popup_sec popup_sec" style="display: none;">
	
	<img src="include/images/popup_close_btn.png" class="close_icon">
	<h6><a class="qnap_logo" target="_blank" href="https://www.idrive.com/"></a>
		<!--<span>Enter one-time-code</span>-->
		<span>Trusted device </span>
	</h6>
	<p>On adding this computer as a trusted device you will not be prompted for two-factor authentication while logging into the desktop application on this computer IDrive does not recommend to use this option.</p>
	<div class="input-group trust-btn-grp">
		<input type="button" class="cancelButton"  value="Cancel" style="" id="dialogbox_cncl" onclick="rejectTrustedDevice(0)" >
		<input type="button" class="verifyButton"  value="Ok" style="" onclick="rejectTrustedDevice(1)" >
	</div>
</div>

<div id="admin_enabled_2fa_popup" class="trust_email_popup_sec popup_sec" style="display: none;">
	
	<img src="include/images/popup_close_btn.png" class="close_icon">
	<h6><a class="qnap_logo" target="_blank" href="https://www.idrive.com/"></a>
		<!--<span>Enter one-time-code</span>-->
		<span>Two-factor authentication Enabled</span>
	</h6>
	<p style="margin: 20px 0px 30px;">Admin has enabled two-factor authentication for your account. <a href="https://www.idrive.com/idrive/login/loginForm" target="_blank">Sign in</a> to your account via web to complete the verification process. <a href="<?php echo $twoFAHelpLink; ?>" target="_blank">Learn More</a></p>
	<div class="input-group trust-btn-grp" >
		<input type="button" class="cancelButton"  value="Cancel" style="" id="dialogbox_cncl" onclick="rejectTrustedDevice(0)" >
		<input type="button" class="verifyButton"  value="Ok" style="" onclick="rejectTrustedDevice(0)" >
	</div>
</div>

<!-- one time code popiup -->
<div id="onetime_popup" class="onetime_popup_sec popup_sec" style="display: none;">
	<p class="popup_tp">IDrive</p>
	<img src="include/images/popup_close_btn.png" class="close_icon">
	<h6><a class="qnap_logo" target="_blank" href="https://www.idrive.com/"></a>
		<span>Two-factor authentication</span>
		<img src="include/images/tool-tips-icon.png" class="tool_tip_icon" onclick="window.open('<?php echo "$twoFAHelpLink"; ?>' , '_blank')" style="cursor: pointer;">
	</h6>
	
	
	<div class="head_search">
		<div class="common_msg error_msg" >
		  <p id="errorMsg">Loading...Please wait</p>
		 <a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
		</div>
		 <div class="common_msg alert" tabindex="100">
                     <p>Loading...Please wait</p>
                     <a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
                  </div>
		<div class="common_msg welcome_message" tabindex="100">
			<p>Loading...Please wait</p>
			<a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
		</div>
	</div>
	<div class="message">
		<h2>Enter the one-time code generated by Time-based OTP Authenticator app in your mobile device, to login to your account.</h2>
	</div>
	<form class="code_form">
		<div class="one_time_block">
			<div class="otp_img">
				<img src="include/images/google-authentication.png" alt="">
			</div>
			<div class="input_group">
				<label class="onetime_label">Enter One Time Code</label>
				<div class="entercodefield otp_field">
					<input type="password" id="authAppCode" name="code" class="code_txtbox" autocomplete="off" value="" onKeyPress="return validateSubmit(0)" maxlength="6">
					
				</div>
				<label class="onetime_error_label1" id="receiveCodeViaEmail" style="display:inline" onclick="sendOTPToAltEmailInOTPAuth()">Receive verification code via email address.</label>
			</div>
			<div class="input-group btn-grp">
				<input type="button" class="cancelButton"  value="Cancel" style="" >
				<input type="button" class="verifyButton"  value="Submit Code" style="" onclick="verifyAuthAppCode()">
			</div>
		</div>
	</form>
	</div>
</div>

<!-- one time code popiup popup ends -->



<?php 
	if($nasUserShellPerm === FALSE) { ?>
		<script>
			(function($) {
				$(document).ready(function() {
					$.popContainer();
					jQuery('.sec_pos_container').append(jQuery('.noshell_msg').show());
					
					
				});
			})(jQuery);
		</script>
<?php } else { ?>
	<script>
		$(".popup_sec .close_icon,.popup_sec .cancelButton").click(function(){
			closeClickHandler();
		});	
		//$.get("action.php?action=getSharedList");
		jQuery('#userName').focus();
		delete(IDrive.Jobs);
	</script>		
<?php } ?>
<?php if($binaryChk === FALSE) { ?>
		<script>
			(function($) {
				$(document).ready(function() {
					$.popContainer();
					jQuery('.sec_pos_container').append(jQuery('.noaccess_msg').show());
				});
			})(jQuery);
		</script>
<?php } ?>
