/* Account Settings Page validation - Start */
var enteredUserNameField = false;
var enteredPasswordField = false;
var enteredEmailAddressField = false;

var validUserName = false;
var validPassword = false;
var validEmailAddress = false;

var pvtKeyFieldEnabled = false;
var enteredPvtKeyField = false;
var validPrivateKey = false;
var actualSecretKey = "";
var accountSettingTimeout;
var updatedUserName;
var altEmailUsed = false;
var altEmailUsedInTOTP = false;
var trustEmailPopupStatus = false;
var accType="";
function pageLoad()
{
  var errorMsgStr = ".";
  
  var errorMsgElement = document.getElementById("errorMsg");
  errorMsgElement.innerHTML = errorMsgStr.fontcolor("WHITE");

  var userNameElement = document.getElementById("userName");
  setTimeout(function(){userNameElement.focus()}, 10);
}

function setUserNameStatus()
{
  enteredUserNameField = true;
}

function setPasswordStatus()
{
  enteredPasswordField = true;
}

function setEmailAddressStatus()
{
  enteredEmailAddressField = true;
}

function validateSSOUserName()
{
  if(enteredUserNameField)
  {
    validUserName = false;

    var userNameElement = document.getElementById("ssoUserName");

    if(userNameElement.value != "")
    {
      var strUserName = userNameElement.value;
      strUserName = strUserName.replace(/\s+/g, "");
       
      if(strUserName == "")
      {
        var errorMsgStr = "Username field contains only whitespaces";
		jQuery('.alert p').html('').parent().hide();
		showErrorMessages('.head_search .error_msg',errorMsgStr);

        userNameElement.value = "";
        setTimeout(function(){userNameElement.focus()}, 10);
      }
    }
    else
    {
      var errorMsgStr = "Username field cannot be blank";
	  jQuery('.alert p').html('').parent().hide();
	  showErrorMessages('.head_search .error_msg',errorMsgStr);
      setTimeout(function(){userNameElement.focus()}, 10);  
    }
  }
}


function validateUserName()
{
  if(enteredUserNameField)
  {
    validUserName = false;

    var userNameElement = document.getElementById("userName");

    if(userNameElement.value != "")
    {
      var strUserName = userNameElement.value;
      strUserName = strUserName.replace(/\s+/g, "");
       
      if(strUserName == "")
      {
        var errorMsgStr = "Username field contains only whitespaces";
		/*jQuery('.error_msg').show( 500, function() {
		setTimeout("jQuery('.error_msg').hide('slow');",5000 );
	});
        jQuery('.error_msg p').html(errorMsgStr);*/
		showErrorMessages('.head_search .error_msg',errorMsgStr);

        userNameElement.value = "";
        setTimeout(function(){userNameElement.focus()}, 10);
      }
      else
      {
        validUserName = true;

        var passwordElement = document.getElementById("password");
        setTimeout(function(){passwordElement.focus()}, 10);
      }
    }
    else
    {
      var errorMsgStr = "Username field cannot be blank";

       /* jQuery('.error_msg p').html(errorMsgStr);
	jQuery('.error_msg').show( 500, function() {
		setTimeout("jQuery('.error_msg').hide('slow');",5000 );
		});*/
		showErrorMessages('.head_search .error_msg',errorMsgStr);
      setTimeout(function(){userNameElement.focus()}, 10);  
    }
  }
}

function validatePassword()
{
  if(validUserName && enteredPasswordField)
  {
    validPassword = false;

    var passwordElement = document.getElementById("password");

    if(passwordElement.value != "")
    {
      var strPassword = passwordElement.value;
      strPassword = strPassword.replace(/\s+/g, "");
       
      if(strPassword == "")
      {
        var errorMsgStr = "Password field contains only whitespaces";

       /* jQuery('.error_msg p').html(errorMsgStr);
		jQuery('.error_msg').show( 500, function() {
			setTimeout("jQuery('.error_msg').hide('slow');",5000 );
		});*/
		showErrorMessages('.head_search .error_msg',errorMsgStr);
        passwordElement.value = "";
        setTimeout(function(){passwordElement.focus()}, 10);
      }
      else
      {
        validPassword = true;
        }
    }
    else
    {
      var errorMsgStr = "Password field cannot be blank";
		/*jQuery('.error_msg p').html(errorMsgStr);
		jQuery('.error_msg').show( 500, function() {
			setTimeout("jQuery('.error_msg').hide('slow');",5000 );
		});*/
		showErrorMessages('.head_search .error_msg',errorMsgStr);
		setTimeout(function(){passwordElement.focus()}, 10);  
    }
  }
}


function changePrivateKeyFieldStatus(encTypeObj)
{
  if(encTypeObj.value == "Default")
  {
    var privateKeyFieldElement = document.getElementById("pvtKey");
   
    privateKeyFieldElement.value = "";
    privateKeyFieldElement.disabled = true;
	jQuery("input#pvtKey").addClass('pvtKey_grey');

    pvtKeyFieldEnabled = false;

    var pattern = /^Private Key field/;
  
    var errorMsgElement = document.getElementById("errorMsg");
    var errorMsgElementString = errorMsgElement.childNodes[0].textContent;  

    if(pattern.test(errorMsgElementString))
    {
      var errorMsgStr = ".";

      errorMsgElement.innerHTML = errorMsgStr.fontcolor("WHITE");
    }
  }
  else if(encTypeObj.value == "Private")
  {
    var privateKeyFieldElement = document.getElementById("pvtKey");
    privateKeyFieldElement.disabled = false;
	jQuery("input#pvtKey").removeClass('pvtKey_grey');

    pvtKeyFieldEnabled = true;

    setTimeout(function(){privateKeyFieldElement.focus()}, 10);  
  }
}

function checkPrivateKeyFieldStatus()
{
  var encTypeElement = document.getElementById("encType");

  if(encTypeElement.value == "Default")
  {
    pvtKeyFieldEnabled = false;
  }
  else if(encTypeElement.value == "Private")
  {
    pvtKeyFieldEnabled = true;
  }
}

function setPvtKeyStatus()
{
  enteredPvtKeyField = true;
}

function validatePvtKey()
{
	var encryptionKey = jQuery('input[name="encryptionKey"]:checked').val();
	if(encryptionKey == 'private') {
		var pvtKeyElement = document.getElementById("pvtKey");	
		var validPrivateKey = false;
		
		if(pvtKeyElement.value != "") {
			var strPvtKey = pvtKeyElement.value;
			var strPvtKeyCopy = strPvtKey.replace(/\s+/g, "");
			var strPvtKeyArr = strPvtKey.split(" ");

			
			if(strPvtKeyCopy == "") {
				var errorMsgStr = "Private Key field contains only whitespaces";
				showErrorMessages('.error_msg', errorMsgStr);
				pvtKeyElement.value = "";
				setTimeout(function() { pvtKeyElement.focus(); }, 10);
				return false;
			} 
			else if(strPvtKeyArr.length > 1)
			{
				var errorMsgStr = "Encryption key cannot contain blank space.";
				showErrorMessages('.error_msg', errorMsgStr);
				pvtKeyElement.value = "";
				setTimeout(function() { pvtKeyElement.focus(); }, 10);
				return false;

			}
			else {
				var lenPvtKey = strPvtKey.length;
				if(lenPvtKey < 6 || lenPvtKey > 250) {
					var errorMsgStr = "Private encryption key must be between 6 and 250 characters in length.";
					showErrorMessages('.error_msg', errorMsgStr);
					pvtKeyElement.value = "";
					setTimeout(function() { pvtKeyElement.focus(); }, 10);
					return false;
				} else {
				validPrivateKey = true;
				}
		  }

			var confmPvtKeyElement = document.getElementById("confmPvtKey");
			var confmPvtKeyArr = confmPvtKeyElement.value.split(" ");
			
			if(confmPvtKeyElement.value != "") {
				if(pvtKeyElement.value != confmPvtKeyElement.value) {
					var errorMsgStr = "Encryption key and confirm encryption key must be the same.";
					showErrorMessages('.error_msg', errorMsgStr);
					confmPvtKeyElement.value = "";
					setTimeout(function() { confmPvtKeyElement.focus(); }, 10);
					return false;
				}
			} else if(confmPvtKeyArr.length > 1)
			{
				var errorMsgStr = "Encryption key cannot contain blank space.";
				showErrorMessages('.error_msg', errorMsgStr);
				confmPvtKeyElement.value = "";
				setTimeout(function() { pvtKeyElement.focus(); }, 10);
				return false;

			}else {
				var errorMsgStr = "Please enter the confirm encryption key";
				showErrorMessages('.error_msg',errorMsgStr);
				confmPvtKeyElement.value = "";
				setTimeout(function(){confmPvtKeyElement.focus()}, 10);
				return false;
			}
			ajaxCallForEncryption('set');
		} else {
			var errorMsgStr = "Private Key field cannot be blank";
			showErrorMessages('.error_msg', errorMsgStr);
			setTimeout(function(){ pvtKeyElement.focus(); }, 10);
		} 
		
		return false;
	}
	
	ajaxCallForEncryption('set');
	return false;
}
var tokenurl="";
var  timer = 0;
function verifySSO()
{
	setUserNameStatus();
	validateSSOUserName();
	
	var idriveUserName =  document.getElementById('ssoUserName').value;
	var ssoUserNameVal =  document.getElementById('ssoUserName');
	if(idriveUserName==''){		
		return false;
    }
	$.ajax({
		url: "action.php?action=validateSSO&ssoUserNameToValidate="+rawurlencode(idriveUserName),
		type: "POST",
		success: function(result){
			if(result.indexOf('<html>')>0){
				window.location.href='../index.php';
			}			
			
			result=$.parseJSON(result);
			data=result["response"];
			data =$.parseJSON(data);
			data1=data["result"];
			if(data["message"] == "SUCCESS"){
				//  need to validate user token.
				tokenurl = data1["token_url"];
				//window.open(tokenurl,"_blank");
				// redirection here.
				//var reference = window.open(tokenurl,"_blank");
				
				let newTab = window.open();
				newTab.location.href = tokenurl;
 
 
				//reference.focus();
				//this.document.location.href = tokenurl;
				
				timer = setTimeout(refresh, 5000);
			}
			else{
				jQuery('.alert p').html('').parent().hide();
				var errorMsgStr = data["message"];
				showErrorMessages('.head_search .error_msg',errorMsgStr);

				ssoUserNameVal.value = "";
				setTimeout(function(){ssoUserNameVal.focus()}, 10);
			}
		}
	});
	
}

function validateOTP(actualUsername, actualPassword, type, otp)
{
	showErrorMessages('.email_popup_sec .head_search .alert',"Validating OTP.....");
	showErrorMessages('.onetime_popup_sec .head_search .alert',"Validating OTP.....");
	data = "action=validateOTP&idriveUserName="+rawurlencode(actualUsername)+"&pwd="+rawurlencode(actualPassword)+"&type="+type+"&OTPVal="+otp;
	$.ajax({
		url: "action.php",
		type: "POST",
		data: data,
		success: function(result){
			if(result.indexOf('<html>')>0){
				window.location.href='../index.php';
			}			
			//jQuery('.alert,#page_loader').hide();
			result=$.parseJSON(result);
			data=result["response"];
			clanupMessages();
			if(data["message"] == "Verified successfully"){
				acceptTrustedDevice();
				if (typeof intervalId != 'undefined') 
					clearInterval(intervalId);
				showErrorMessages('.email_popup_sec .head_search .welcome_message',"Verified successfully");
				showErrorMessages('.onetime_popup_sec .head_search .welcome_message',"Verified successfully");
				jQuery('#email_popup').hide();
				jQuery('#onetime_popup').hide();
				
				//data = "action=continueLoginProcess&username="+actualUsername+"&data="+loginData;
				data = "action=continueLoginProcess&username="+rawurlencode(actualUsername)+"&pwd="+rawurlencode(actualPassword)+"&data="+loginData;
				$.ajax({
					url: "action.php",
					type: "POST",
					data: data,
					success: function(validatedData){
						validatedRes=$.parseJSON(validatedData);
						
						jQuery('.alert,#page_loader').hide();
					
						$('#toplink_upgrade').show();
						if(validatedRes[1]=="Default"){
							//AJAX call to create account settings file
							//$('#idriveUserInfo').show();
							createAccountSettings();
							clearTimeout(activeJobsTimeoutVar);
							activeJobsTimeoutVar = setTimeout(watcherForActiveJobs, PROGRESS_WATCHER_ENABLE_TIME);					
							setTimeout(processNextScheduledEvent, 1000);
						} else if(validatedRes[1]=="Private"){					
							jQuery('#getEncryptionKey').show().siblings('div').hide();
							jQuery('#encrypt_key').focus();
						} else if(validatedRes[1]=="NotSet"){					
							jQuery('#configEncryption').show().siblings('div').hide();
						}
						updatedUserName = validatedRes[2];
					}
				});
			}
			else{
				document.getElementById("emailCode").value  = "";
				document.getElementById("authAppCode").value  = "";
				showErrorMessages('.email_popup_sec .head_search .error_msg',"Invalid verification code. Please try again.");
				showErrorMessages('.onetime_popup_sec .head_search .error_msg',"Invalid verification code. Please try again.");
				
			}
		}
	});
}


function refresh() {
	verifyToken(tokenurl);
	timer = setTimeout(refresh, 5000);
}
function verifyToken(tokenurl) {
	$.ajax({
		url: "action.php?action=requestToken&tokenurl="+tokenurl,
		type: "POST",
		success: function(response){
			result=$.parseJSON(response);
			data=result["response"];
			
			if(data != ""){
				data1=$.parseJSON(data);
				if(data1["message"] == "SUCCESS"){
					result = data1["result"];
					secretpwd = result["secret"];
					actualSecretKey = secretpwd;
					clearTimeout(timer);
					validateForm3();
					///document.getElementById("ssoLoginForm").submit();
				}
				/*else {
						jQuery('.common_msg').hide();
						showErrorMessages('.error_msg',data1["message"]);
						clearTimeout(timer);
					}*/
			}
		}
	});
}
function validateForm1()
{
	var idriveUserName = jQuery('#registered_user').html();
    if(idriveUserName!=''){		
		return false;
    }
	setUserNameStatus();
	validateUserName();

	setPasswordStatus();
	validatePassword();
	if(validUserName && validPassword)
	{
		jQuery('.error_msg').hide();
		var prevAlertMsg = jQuery('.alert p').html();
		jQuery('.alert p').html('Verifying your account details...Please wait').parent().show('slow');
		jQuery('html,body').scrollTop(0);
		
		var actualUsername = jQuery('#username').val();
		jQuery('#username').val(rawurlencode(actualUsername));
		
		var actualPassword = jQuery('#password').val();
		//jQuery('#password').val(base64_encode(actualPassword));
		jQuery('#passwordHidden').val(rawurlencode(actualPassword));
				
		var data = jQuery("form[name*='accountSettingsForm']").serialize();
		jQuery('.alert,#page_loader').show();
		 //AJAX call to validate the username & password
		$.ajax({
			url: "account.php",
			type: "POST",
			data: data,
			success: function(validatedData){
				if(validatedData.indexOf('<html>')>0){
					window.location.href='../index.php';
				}		
				validatedRes=$.parseJSON(validatedData);
				
				if(validatedRes[0]==false){
					jQuery('.alert,#page_loader').hide();					
					if(validatedRes[1]=="MULTIPLE_ACCOUNT"){
						var idriveUsernameListHTML = '<select id="userName" name="userName" class="acc_txtbox"><option value selected="selected">Select</option>';
						jQuery.each(validatedRes[2],function(index, item) {
							idriveUsernameListHTML += '<option>'+item+'</option>';
						});
						idriveUsernameListHTML += '</select>';
						jQuery(".userNameField").html(idriveUsernameListHTML);
						jQuery('#password').val('');
						jQuery('#passwordHidden').val('');
						jQuery('.account-desc').html('Multiple accounts are associated with your email, select a Username');
					}else if(validatedRes[1]=="CRON_SERVICE_NOT_AVAILABLE_IN_LOGIN"){
						showErrorMessages('.error_msg',"Scheduler service has stopped. Please restart the app from package centre.");
						setInterval(function(){ 
							showErrorMessages('.error_msg',"Scheduler service has stopped. Please restart the app from package centre.");
							//10 minutes is 600000 milliseconds
						}, 600000 );
					}else if(validatedRes[1].indexOf('2FA') > -1){
						jQuery('.alert,#page_loader').show();
						type = validatedRes[1];
						loginData = validatedRes[5];
						//type = "AE2FA";
						accType="";
						jQuery('.email_popup_sec .head_search .alert').hide();
						jQuery('.onetime_popup_sec .head_search .alert').hide();
						if(type == "AE2FA")
						{
							$("#admin_enabled_2fa_popup").show();
							accType="AE2FA";
						}
						else if(type == "E2FA")
						{
							altEmailUsed = false;
							document.getElementById("emailCode").value  = "";
							$("#useAuthOtpOnly").hide();
							//email enabled 2FA
							$("#email_popup").show();
							$("#emailCode").focus();
							document.getElementById("msgHeader").innerHTML = "Enter the Verification code sent to your registered Email Address <br><strong>"+encodeEmailForDisplay(validatedRes[4])+"</strong>";
							$("#altEmailForMob").hide();
							 OTPTimer();
						}
						else if(type == "TP2FA")
						{
							//other supported apps TOPT 2FA
							document.getElementById("authAppCode").value  = "";
							$("#onetime_popup").show();
						}
						else if(type == "S2FA")
						{
							altEmailUsed = false;
							document.getElementById("emailCode").value  = "";
							$("#useAuthOtpOnly").hide();
							jQuery('.alert,#page_loader').show();
							jQuery('.email_popup_sec .head_search .alert').hide();
							jQuery('.email_popup_sec .head_search .welcome_message').hide();
							//SMS enabled 2FA
							$("#email_popup").show();
							$("#emailCode").focus();
							OTPTimer();
							$("#altEmailForMob").show();
							document.getElementById("msgHeader").innerHTML = "Enter the Verification code sent to your registered mobile number <br><strong>"+validatedRes[4]+"</strong>";
						}
						else {
							jQuery('.alert,#page_loader').hide();    
							if(typeof validatedRes[1] != 'undefined' && validatedRes[1] != '') {
								showErrorMessages('.error_msg',validatedRes[1]);
							} else {
								showErrorMessages('.alert','Please try again.');
							}
							return false;
						}
					} else {
						showErrorMessages('.error_msg',validatedRes[1]);
						jQuery('#password').val(actualPassword);
						jQuery('#passwordHidden').val(rawurlencode(actualPassword));
					}					
				} else {
					
					jQuery('.alert,#page_loader').hide();
					
					$('#toplink_upgrade').show();
					if(validatedRes[1]=="Default"){
						//AJAX call to create account settings file
						createAccountSettings();
						clearTimeout(activeJobsTimeoutVar);
						activeJobsTimeoutVar = setTimeout(watcherForActiveJobs, PROGRESS_WATCHER_ENABLE_TIME);					
						setTimeout(processNextScheduledEvent, 1000);
					} else if(validatedRes[1]=="Private"){					
						jQuery('#getEncryptionKey').show().siblings('div').hide();
						jQuery('#encrypt_key').focus();
					} else if(validatedRes[1]=="NotSet"){					
						jQuery('#configEncryption').show().siblings('div').hide();
					}
					updatedUserName = validatedRes[2];
				}
				
				if (machine == 'twotier') {
					$('.update-btn>a').click(function() {
						$('#page_loader').show();
						showErrorMessages('.alert','Updating...');
					});
				}
			}
		});
		return false;
	} else {
		$('#nse_main_div').hide();
		return false;
	}
}

function sendOTPToAltEmailInOTPAuth()
{
	clanupMessages();
	altEmailUsedInTOTP=true;
	$("#onetime_popup").hide();
	sendOTPToAltEmail();
	
	var actualPassword = jQuery('#password').val();
	document.getElementById("emailCode").value  = "";
	//email enabled 2FA
	$("#email_popup").show();
	$("#emailCode").focus();
	$("#useAuthOtpOnly").show();
	document.getElementById("msgHeader").innerHTML = "Enter the Verification code sent to your registered Email Address <strong>"+encodeEmailForDisplay(validatedRes[4])+"</strong>";
	$("#altEmailForMob").hide();
	 OTPTimer();
}

function clanupMessages() {
	jQuery('.email_popup_sec .head_search .alert').hide();
	jQuery('.email_popup_sec .head_search .error_msg').hide();
	jQuery('.onetime_popup_sec .head_search .alert').hide();
	jQuery('.onetime_popup_sec .head_search .error_msg').hide();
}

function useOTPAuthInstead()
{
	clanupMessages();
	$("#email_popup").hide();
	document.getElementById("authAppCode").value  = "";
	$("#onetime_popup").show();
}


function sendOTPToAltEmail()
{
	document.getElementById("emailCode").value  = "";
	altEmailUsed = true;
	var actualPassword = jQuery('#password').val();
	if (typeof intervalId != 'undefined') 
		clearInterval(intervalId);
	//need to plan a message which can convey something to user that it is in process
	showErrorMessages('.email_popup_sec .head_search .alert',"Sending OTP to alternate email.....");		
	var data= "action=resendOTP&pwd="+encodeURIComponent(actualPassword)+"&altEmail=yes";
	$.ajax({
		url: "action.php",
		type: "POST",
		data: data,
		success: function(validatedData){
			if(validatedData.indexOf('<html>')>0){
				window.location.href='../index.php';
			}		
			resendOTPRes=$.parseJSON(validatedData);
			resendOTPRes=resendOTPRes["response"];
			validatedRes[1] = resendOTPRes[0];
			validatedRes[2] = resendOTPRes[1];
			OTPTimer();
			$("#altEmailForMob").show();
			document.getElementById("msgHeader").innerHTML = "Enter the Verification code sent to your registered Email Address <strong>"+encodeEmailForDisplay(resendOTPRes[3])+"</strong>";
						
			if (typeof succMsgID !='undefined') 
				clearInterval(succMsgID);
			jQuery('#altEmailForMob').hide();
			
			if(!altEmailUsedInTOTP){
				clanupMessages();
				showErrorMessages('.email_popup_sec .head_search .welcome_message',"Successfully sent verification code");
			}
			
			succMsgID = setInterval(function(){
				jQuery('#resendCol').show();
				clearInterval(succMsgID);
			},10000);
		}
	});
}


function OTPTimer()
{
	var min = 04;
	var sec = 59;
	var formatMin = ("0" + min).slice(-2);
	document.getElementById("countdowntimer").innerHTML = formatMin +" : " + sec ;
	jQuery('#verificationCodeResend').hide();
	jQuery('#verificationCodeTimer').show();
	if (typeof intervalId != 'undefined') 
		clearInterval(intervalId);
	intervalId = setInterval(function(){
		var formatSec = ("0" + sec).slice(-2);
		formatMin = ("0" + min).slice(-2);
		document.getElementById("countdowntimer").innerHTML = formatMin +" : " + formatSec ;
		sec--;
		if(sec == 00)
		{
			min--;
			sec = 59;
			if (min < 0){
				clearInterval(intervalId);
				jQuery('.expire_div').hide();
				jQuery('.resend_div').show();
				$('.verifyButton').blur();
				document.getElementById("emailCode").disabled = true;
				document.getElementById("authAppCode").disabled = true;
				document.getElementById("verify_email").disabled = true;
			}
		}
	},1000);
}

function trustCheckBoxCahnge(value) {
	if(value.checked){	
		$("#trusted_email_popup").show();
		trustEmailPopupStatus = true;
	}
	else{
		
		trustEmailPopupStatus = false;
		$("#trusted_email_popup").hide();
	}
}
/*
 $('#trust_checkbox_check').change(function(){
	if(this.checked){	
		$("#trusted_email_popup").show();
		trustEmailPopupStatus = true;
	}
	else{
		trustEmailPopupStatus = false;
		$("#trusted_email_popup").hide();
	}

});
	*/
	
function encodeEmailForDisplay(input){
	var a = input.split("@"); 
	var b = a[0];
	var newstr = "";
	for(var i in b){
		if(i>1 && i<b.length-1)
			newstr += "*";
		else
			newstr += b[i];
	}
	newstr = newstr+"@"+ a[1];
	return newstr;
  }

function verifyEmailCode()
{
	
	
	var code = jQuery('#emailCode').val();
	
	if(code == "")
	{
		jQuery('.email_popup_sec .head_search .alert').hide();
		jQuery('.onetime_popup_sec .head_search .alert').hide();
		showErrorMessages('.email_popup_sec .head_search .error_msg',"Enter valid verification code");
		return;
	}

	jQuery('.alert,#page_loader').show();
	var actualUsername1 = jQuery('#userName').val();
	var actualPassword = jQuery('#password').val();
	validateOTP(actualUsername1, actualPassword, validatedRes[2], code);
}

function verifyAuthAppCode()
{
	var code = jQuery('#authAppCode').val();
	if(code == "")
	{
		showErrorMessages('.onetime_popup_sec .head_search .error_msg',"Enter valid verification code");
		return;
	}
	jQuery('.alert,#page_loader').show();
	var actualUsername1 = jQuery('#userName').val();
	var actualPassword = jQuery('#password').val();
	validateOTP(actualUsername1, actualPassword, validatedRes[2], code);
}



function acceptTrustedDevice()
{
	//jQuery('#trusted_email_popup').hide();
	
	if($("#trust_checkbox_check").prop('checked') == true){
		$.ajax({
			url: "action.php?action=byPassOTP",		
			success: function(){
					
			}
		});
	}
}

function resendOTP()
{
	if (typeof succMsgID !='undefined') 
		clearInterval(succMsgID);
	document.getElementById("emailCode").disabled = false;
	document.getElementById("authAppCode").disabled = false;
	document.getElementById("verify_email").disabled = false;
	jQuery('.email_popup_sec .head_search .error_msg').hide();
	jQuery('.onetime_popup_sec .head_search .error_msg').hide();
	showErrorMessages('.email_popup_sec .head_search .welcome_message',"Sending verification code...");

	var altEmailStat = "";
	if(altEmailUsed)
		altEmailStat = "&altEmail=yes";
	var actualPassword = jQuery('#password').val();
	$.ajax({
		url: "action.php?action=resendOTP&pwd="+actualPassword+altEmailStat,		
		success: function(res){
			res=$.parseJSON(res);
			if(res["response"].length > 1) {
				showErrorMessages('.email_popup_sec .head_search .welcome_message',"Successfully sent verification code");
				OTPTimer();
			} else{
				jQuery('.email_popup_sec .head_search .welcome_message').hide();
				showErrorMessages('.email_popup_sec .head_search .error_msg',res["response"][0]);
			}
		}
	});	
}


function rejectTrustedDevice(val){
	
	jQuery('#trusted_email_popup').hide();
	jQuery('#admin_enabled_2fa_popup').hide();
	
	// as user rejected the alert we will unselect the checkbox too
	if(!val)
		$("#trust_checkbox_check").prop("checked", false);
	else
		trustEmailPopupStatus = false;
}

function validateForm2()
{
	jQuery('.alert p').html('Verifying your SSO account details...Please wait').parent().show('slow');
	setUserNameStatus();
	validateSSOUserName();
	verifySSO();
} 

function validateForm3()
{
	jQuery('.alert p').html('Verifying your account details...Please wait').parent().show('slow');
	var idriveUserName = jQuery('#registered_user').html();
    if(idriveUserName!=''){		
		return false;
    }
	validUserName = true;
	
	actualPassword = actualSecretKey ;
	setPasswordStatus();
	
	validPassword = true;
	var actualUsername = jQuery('#ssoUserName').val();
	//jQuery('#ssoUserName').val(rawurlencode(actualUsername));
	document.getElementById("ssoUsernameHidden").value = rawurlencode(actualUsername);
	document.getElementById("ssoPassword").value = rawurlencode(actualPassword);
	document.getElementById("ssoPasswordHidden").value = rawurlencode(actualPassword);
	
	if(validUserName && validPassword)
	{
		jQuery('.error_msg').hide();
		var prevAlertMsg = jQuery('.alert p').html();
		jQuery('.alert p').html('Verifying your account details...Please wait').parent().show('slow');
		jQuery('html,body').scrollTop(0);
		
		var data = jQuery("form[name*='ssoLoginForm']").serialize();
		
		jQuery('.alert,#page_loader').show();
		 //AJAX call to validate the username & password
		$.ajax({
			url: "account.php",
			type: "POST",
			data: data,
			success: function(validatedData){
				if(validatedData.indexOf('<html>')>0){
					window.location.href='../index.php';
				}		
				validatedRes=$.parseJSON(validatedData);
				if(validatedRes[0]==false){
					jQuery('.alert,#page_loader').hide();					
					showErrorMessages('.error_msg',validatedRes[1]);
					jQuery('#password').val(actualPassword);
					jQuery('#passwordHidden').val(rawurlencode(actualPassword));
										
				} else {
					jQuery('.alert,#page_loader').hide();
					
					$('#toplink_upgrade').show();
					if(validatedRes[1]=="Default"){
						createAccountSettings();
						clearTimeout(activeJobsTimeoutVar);
						activeJobsTimeoutVar = setTimeout(watcherForActiveJobs, PROGRESS_WATCHER_ENABLE_TIME);					
						setTimeout(processNextScheduledEvent, 1000);
					} else if(validatedRes[1]=="Private"){					
						jQuery('#getEncryptionKey').show().siblings('div').hide();
						jQuery('#encrypt_key').focus();
					} else if(validatedRes[1]=="NotSet"){					
						jQuery('#configEncryption').show().siblings('div').hide();
					}
					updatedUserName = validatedRes[2];
				}
				
				if (machine == 'twotier') {
					$('.update-btn>a').click(function() {
						$('#page_loader').show();
						showErrorMessages('.alert','Updating...');
					});
				}
			}
		});
		return false;
	} else {
		$('#nse_main_div').hide();
		return false;
	}
	
}
/*
$("#ssoUserName").keyup(function(event) {
	if (event.keyCode === 13) {
		validateForm2();
    }
	//return false;
});*/
function validateSubmit($type) {
	if (event.charCode === 13) {
		if($type)
			verifyEmailCode();
		else
			verifyAuthAppCode();
		//return true;
    }else if (event.charCode >= 48 && event.charCode <= 57){
		return true;
	}
	return false;
}
function handleInput() {
	if (event.charCode === 13) {
		validateForm2();
    }
}
function goToSSOSignOIn()
{
	document.getElementById("login_page_header").innerHTML = "Login using your SSO account";
	document.getElementById("accountSettingsForm").style.display="none";
	document.getElementById("ssoLoginForm").style.display="block";
	//jQuery('.account-desc').html('Enter your IDrive account credentials to backup data from the Synology device.');
}

function goToNonSSOSignOIn()
{
	document.getElementById("login_page_header").innerHTML = "Login to your IDrive account";
	document.getElementById("ssoLoginForm").style.display="none";
	document.getElementById("accountSettingsForm").style.display="block";
	//jQuery('.account-desc').html('Multiple accounts are associated with your email, select a Username');
	
}

/* Account Settings Page validation - End */

/* Logoff account settings - Start */
jQuery('#logoff,.lotw_logout').die('click').live('click', function (event) {
    if(jQuery('#registered_user').html()==''){
		//commented to fix Yuvaraj_2.04.06_06_2 : 
		//jQuery('.error_msg p').html('Your account has already been logged off');
		/*jQuery('.error_msg').show( 500, function() {
			 setTimeout(function(){	
				jQuery('.error_msg').removeAttr("title");
				//jQuery('.error_msg p').html('Login to IDrive');
			 },5000 );
		});*/
		jQuery('html,body').scrollTop(0);
		
		// Hide the div if user is logging off
		$("#nse_main_div").hide();
    } else {
		//AJAX call to logoff account settings
		$.ajax({
			url: "action.php?action=logoff",		
			success: function(logoffData){
				if(logoffData.indexOf('<html>')>0){
					window.location.href='../index.php';
				}			
				
				// Hide the div if user is logging off
				$("#nse_main_div").hide();
				
				//clearing progress details			
				if(ajaxRequestJobs) abortAjax(ajaxRequestJobs);
				activeJobsTimeoutVar = '';
				progressJobBackupCount = 0;
				progressJobRestoreCount = 0;
				$("#RestoreProgress").html("");	
				$("#BackupProgress").html("");	
				$(".activity_prog_con,.progress_box,.drag_body_con").css("display","none");
				$("#ptype").val("");
				
				logoffRes=$.parseJSON(logoffData);
				
				if(logoffRes[0]==true){
					//jQuery('.idr_user h3').html(logoffRes[2]);
					jQuery('#registered_user').html('');
					$('#idriveUserInfo').hide();
					$('#toplink_upgrade').hide();
					
					/* Reset account usage - Start */
					jQuery('.storage_used').html('');	
					//Clearing All Global Array
					clearArrayValues();
					
					//For IDrive Vault
					//if(machine=='twotier'){
						jQuery('.sliding a:first').trigger('click');
						showErrorMessages('.welcome_message',logoffRes[1]);
						return false;
					//}
					/* showErrorMessages('.welcome_message',logoffRes[1]);
					jQuery('.login-bgliner').show();
					jQuery('.disable_save').hide();
					jQuery('input[name="save"]').show();
					jQuery('.disable_logoff').show();
					jQuery('#logoff').hide();
					jQuery('span.forgotSpan').show();
					jQuery(':input','#accountSettingsForm').not(':button, :submit').val('').removeAttr('selected');
					jQuery('#pvtKey').attr('disabled',true).addClass('pvtKey_grey'); */
				} else if(logoffRes[0]==false){
					jQuery('.error_msg p').html(logoffRes[1]);
					jQuery('.error_msg').slideDown( 200, function() {
						 setTimeout("jQuery('.error_msg').hide('slow');",5000 );
						 setTimeout(rediretToLogin,3000);
					});				
					jQuery('html,body').scrollTop(0);	
				}	
				
			},
			error: function() {
				window.location.href='../index.php';
			}
		});
    }
	//$('.update-btn').hide(); // Commented by Senthil on 13-Feb-2017
	return false;
});
/* Logoff account settings - End */
function rediretToLogin(){
	window.location.href="../index.php?logout";
}

/* Create account settings file - Start */
function createAccountSettings(){
	jQuery('#page_loader').show();
	prevAlertMsg = jQuery('.alert p').html();			
	//AJAX call to create account settings file
	$.ajax({
		url: "createAccountSettingsFile.php",				
		success: function(settingsData){
			checkUserForStatUpdate();
			if(settingsData.indexOf('<html>')>0){
				window.location.href='../index.php';
			}			
			settingsRes=$.parseJSON(settingsData);
			
			if(settingsRes[0]==true){
				if(settingsRes[2]!=false){
					delayTime = 5000;
					jQuery('.alert p').html(settingsRes[2]);
				} else {
					delayTime = 0;						
				}
				dedup = settingsRes[3];
				accountSettingsOutput = settingsRes[1];
				if(dedup==false || settingsRes[5]==true){
					loadBackupPage(); //Dedup - False
			    } else if(parseInt(settingsRes[4])==0) {
					jQuery('#deDupPopupSection').load('dedupBucket.php',function(){
						jQuery('#locationNamePopup #backToSelectLocation').hide();
						createNewLocation(); //Dedup - True	& no devices 
					});
				} else if(parseInt(settingsRes[4])>0) {
					jQuery('#deDupPopupSection').load('dedupBucket.php',function(){
						selectDedupLocation(); //Dedup - True
					});
				}
			} else {
				jQuery('.alert,#page_loader').hide();
				showErrorMessages('.error_msg',settingsRes[1]);
			}
		}
	});
	//AJAX call to create Default Backup Set
	$.ajax({
		url: "action.php?action=createDefaultBackupSet",				
		success: function(settingsData){
			if(settingsData.indexOf('<html>')>0){
				window.location.href='../index.php';
			}
		}
	});
}

function loadBackupPage(){
	clearTimeout(activeJobsTimeoutVar);
	activeJobsTimeoutVar = setTimeout(watcherForActiveJobs, PROGRESS_WATCHER_ENABLE_TIME);
	setTimeout(processNextScheduledEvent, 1000);
	
	setTimeout(function(){
		//if(isDedup==false)
			loadRestoreList(); //Getting remote list
		
		jQuery('#content').load('backup.php',function(){
			jQuery('#content').css('margin-top','125px');
			clearTimeout(accountSettingTimeout);
			jQuery('.alert,.welcome_message').hide('slow');
			jQuery('#page_loader').hide();
		});
		setTimeout(function(){							
			jQuery('a').removeClass('act');
			jQuery('a.leftnavbutton:eq(0)').addClass('act');
			jQuery('.page_title h4').html(jQuery('a#nav_backup').attr('alt'));
		}, 500);
		//jQuery('.storage_used').load("accountUsage.php");
		storageCalculate(1);
		var userName = updatedUserName;
		jQuery('.idr_user h3,#registered_user').html(userName);
		jQuery('.idr_user h3,#registered_user').attr("title", userName) ;
		$('#idriveUserInfo').show();
		//jQuery('.head_usercont').show();
		jQuery('.sliding ul li').show();
		jQuery('.alert').hide('slow').find('p').html(prevAlertMsg);			
		jQuery('.welcome_message').show( 500, function() {
			accountSettingTimeout = setTimeout(function(){
				jQuery('.welcome_message').hide('slow');
				if(jQuery('#page_loader').is(':visible')){
					jQuery('.alert p').html('Loading...Please wait').parent().show();
				}
			},500 );
		});
		jQuery('.welcome_message p').html(accountSettingsOutput);
		jQuery('html,body').scrollTop(0);
		
	},delayTime);
	
}


/* verify Private Key - Start */
$(document).on('click','#encryption',function(){$('.key_password').show(); });
$(document).on('click','#default',function(){$('.key_password').hide(); });
function verifyPrivateKey(){	
    var pvtKeyElement = document.getElementById("encrypt_key");	
	var validPrivateKey = false;
	
    if(pvtKeyElement.value != "")
    {
		var strPvtKey = pvtKeyElement.value;
		var strPvtKeyCopy = strPvtKey.replace(/\s+/g, "");

		if(strPvtKeyCopy == "")
		{
			var errorMsgStr = "Private Key field contains only white spaces";
			showErrorMessages('.error_msg',errorMsgStr);
			pvtKeyElement.value = "";
			setTimeout(function(){pvtKeyElement.focus()}, 10);
		}
		else
		{
			var lenPvtKey = strPvtKey.length;
			if(lenPvtKey < 4 || lenPvtKey > 256) {
				var errorMsgStr = "Private encryption key must be between 4 and 256 characters in length.";
				showErrorMessages('.error_msg',errorMsgStr);		
				pvtKeyElement.value = "";
				setTimeout(function(){pvtKeyElement.focus()}, 10);
			} 
			else
			{          
				validPrivateKey = true;	
				ajaxCallForEncryption('validate');
			}
		}	    
    }
    else
    {
		var errorMsgStr = "Private Key field cannot be blank";
        showErrorMessages('.error_msg',errorMsgStr);
        setTimeout(function(){pvtKeyElement.focus()}, 10); 
    }	
	return false;
}
/* verify Private Key - End */

//Function to set/verify encryption key
function ajaxCallForEncryption(type) {
	jQuery('#page_loader').show();
	var data;
	if(type == 'set') {
		var url  = "action.php?action=setEncryption";
		var dataarr = jQuery('form#enc_conf').serializeArray();
		jQuery.each(dataarr, function(inx, val) {
			if(val.name == 'pvtKey' || val.name == 'confmPvtKey') {
				//dataarr[inx]['value'] = base64_encode(val.value);
				dataarr[inx]['value'] = rawurlencode(val.value);
			}
		});
		data = jQuery.param(dataarr);
	} else {
		var url = "action.php?action=validateEncryption";
		data = 'encryptKey=' + rawurlencode($('#encrypt_key').val());
		//data = 'encryptKey=' + base64_encode($('#encrypt_key').val());
	}

	//AJAX call to create account settings file
	$.ajax({
		url: url,
		type: "POST",
		data: data,		
		success: function(settingsData){
			if(settingsData.indexOf('<html>')>0){
				window.location.href='../index.php';
			}			
			jQuery('#page_loader').hide();
			//$('#idriveUserInfo').show();
			settingsRes=$.parseJSON(settingsData);
			if(settingsRes[0]==true){
				createAccountSettings();
			} else {
				showErrorMessages('.error_msg',settingsRes[1]);
				return false;
			}
		}
	});
	return false;
}
//Function to load account settings page if not logged in
jQuery('.head_user').die('click').live('click', function (event) {
	if(jQuery('#registered_user').html()=='' && !jQuery('.body_wrap').hasClass('account_page')){
		jQuery('.sliding a:first').trigger('click');
		return false;
	} else if(jQuery('#registered_user').html()==''){
		showErrorMessages('.head_search .error_msg',GUEST_USER);
		return false;
	}
});

/* check and update user stat at installation time */
function checkUserForStatUpdate(){
	$.ajax({
		url: "action.php?action=installationScript",				
		success: function(){
		}
	});
}

function closeClickHandler() {
//$(".popup_sec .close_icon,.popup_sec .cancelButton").click(function(){
	$("#sms_popup").hide();
	
	$("#success_email_popup").hide();
	$("#onetime_popup").hide();
	$("#sms_popup_resend").hide();
	$("#admin_enabled_2fa_popup").hide();
	$("#trust_device_for_restore").hide();
	
	if(trustEmailPopupStatus){
		$("#trusted_email_popup").hide();
		trustEmailPopupStatus = false;
		$("#trust_checkbox_check").prop("checked", false);
	}
	else {
		$("#email_popup").hide();
		if (typeof intervalId != 'undefined') 
			clearInterval(intervalId);
		jQuery('.alert,#page_loader').hide();
		
	}

//});
}