<?php
include_once 'path.php';

if(!isset($_SESSION['validUser']) || $_SESSION['validUser'] !== true)
	exit(header("Location:../index.php"));

if(isset($_SESSION['userName']) && ($_SESSION['userName'] != '')) {
	if(isset($_SESSION['dedup']) && $_SESSION['dedup']){
		if(!deviceIDExists())
		exit(header("Location:logout.php"));
		
		$startPidfilePath = Scheduler::$restore_dir.Scheduler::$manual_dir."/".START_PID;
		if(!file_exists($startPidfilePath)){
			$manulRestoreSetFilePath  = Scheduler::$restore_dir.Scheduler::$manual_dir."/".RESTORESETFILEDISPLAY;
			@unlink($manulRestoreSetFilePath);			
		}
	}
	$rListPath = Scheduler::$restore_list_dir;
	if(is_dir($rListPath)) {
		file_put_contents($temp_file, DIRREMOVE);
		@chmod($temp_file, $permissionVal);
		phpScriptExecution(OPERATIONSFILE, Scheduler::$user_dir);
	}
	
	clearAppUpdateLock();
	clearPidsAndCancelJob(); //Remove the pids if the job is not running
	killSizeFd(); //Killing the getSize process
	$file = Scheduler::$user_dir.SERVER_ADDR_PATH;
	if(file_exists($file))
		unlink($file);
	if(isset($_SESSION['configVerified']) && $_SESSION['configVerified'])
	unset($_SESSION['serverAddr']);
	
    getEVSServerAddr();
	autoUpdateBackupset();
	excludeworkingfolder(); // Creating full path exclude file if not exists.
	migrate();
} else {
	$userName='';
	unset($_SESSION['configVerified']);
	unset($_SESSION['encType']);
	unset($_SESSION['userName']);
	unset($_SESSION['password']);	
	setcookie('restore_del', '', time() - 3600);
	setcookie('trash_del', '', time() - 3600);
	setcookie('trash_putback', '', time() - 3600);
}

machineBasedContent($machine);

$js_version = trim(preg_replace('/[a-zA-Z]+/', '', $appVersion));

$latestVersion = isset($_SESSION['latest_version'])?$_SESSION['latest_version']:'';

?>
<!doctype html>
<html>
<head>
      <meta charset="UTF-8">
      <title><?php print $appMetaTitle;?></title>
      <link href="include/css/qnap_layout.css?ver=<?php echo $js_version;?>" type="text/css" rel="stylesheet" />
	  <link href="include/css/<?php print $appThemeCSS;?>?ver=<?php echo $js_version;?>" type="text/css" rel="stylesheet" />
	  <link href="include/css/search_ui.css?ver=<?php echo $js_version;?>" type="text/css" rel="stylesheet" /> 	  
      <link rel="icon" href="include/images/<?php print $appFavicon;?>" sizes="16x16" />
      <link rel="shortcut icon" href="include/images/<?php print $appFavicon;?>" type="image/x-icon" />
	  <script src="include/scripts/1.7.2.jquery.min.js" type="text/javascript"></script> 
		<script src="./constants-js.php?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	  	<script src="include/scripts/checkbox.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
		<!-- <script src="include/scripts/ContextMenu.js" type="text/javascript"></script> -->
		<!--[if IE 8]>  <link href="include/css/ie8.css?ver=<?php echo $js_version;?>" rel="stylesheet" type="text/css" /> <![endif]-->
		<!--[if lte IE 7]>  <link href="include/css/ie7.css?ver=<?php echo $js_version;?>" rel="stylesheet" type="text/css" /> <![endif]-->
		<!--[if IE]> <script src="https://html5shim.googlecode.com/svn/trunk/html5.js"></script> <![endif]-->
        <script>
			// Declaring IDrive object, added by sreenath on 01-04-2014
			var IDrive = {};
			var dedup = <?php print (isset($_SESSION['dedup']) && $_SESSION['dedup'])?"true;":"false;" ; ?>
			var deDupDeviceID = "<?php if(isset($_SESSION['deviceID'])) print $_SESSION['deviceID']; ?>";
			var selectedRestoreListPath = deDupDeviceID;
		</script>
		<?php
		if(isset($_SESSION['userName']) && ($_SESSION['userName'] != '')) 
			checkShowHidden();		
		?>
</head>
<body class="user_cont">
      <section class="body syno-oly">
		<div id="page_loader" class="page_loader" style="display:block;"><p>loader...</p></div>
         <div class="wrapper">
         <header>
            <h1><a class="<?php print $logoClassName; ?>" target="_blank" href="https://www.idrive.com/"><?php print $appMetaTitle;?></a><p class="version"><span class="version-no"><?php print $appVersion;?></span>
			
			<span class="update-btn" title="<?php echo $appUpdateMsg; ?>" style="display: none;"> <a href="<?php echo $appUpdateURL; ?>" target="_blank"></a></span>
			</p></h1>
            <section class="head_cont">
               <div class="head_links">
                  <ul>
					<li><a target="_blank" href="upgrade.php" id="toplink_upgrade" style="<?php echo (($_SESSION['userName'] == '')? 'display: none;' : '');?>">Upgrade</a></li>
					<?php
					 if($userName!='' && isset($_SESSION['encType']) && $_SESSION['configVerified'] == true){
						 $getUserName = $userName;
					} else {
						$getUserName = '';
					} 
					?>
						<li class="head_usercont"  id='idriveUserInfo' style="<?php echo (($_SESSION['userName'] == '')? 'display: none;' : '');?>">
							<a class="idr_user" ><span>IDrive user</span><h3 title="<?php print $getUserName;?>"><?php print $getUserName;  ?></h3></a>
							<div class="sliding">
								<ul>
									<li><a href="#" alt="idriveLogout" id="logoff" >Logout</a></li>
								</ul>
							</div>
						</li>
										
                    <li class="head_usercont" id='NasUserInfo' > <a class="head_user"><span>NAS user</span><h3 title="<?php print $_SESSION['nasUserName'];  ?>"><?php print $NASUserName = $_SESSION['nasUserName'] ?></h3>
			<?php
					
			?>
			</a><span id='registered_user' style="display:none;"><?php print $getUserName; ?></span>
            <div class="sliding menuOp">
                           <ul>
                              <li><a href="account.php" class="topnavbutton" alt="<?php print $machine=='twotier'?TWOTIER_ACCOUNT_TITLE:ACCOUNT_TITLE; ?>">My Account</a></li>
                              <li><a href="preferences.php" class="topnavbutton" alt="<?php print PREFERENCES_TITLE; ?>"><?php echo PREFERENCES_TITLE; ?></a></li> 
							  <li><a href="#" id="sendErrLink" class="topnavbutton1"><?php echo SEND_ERROR_REPORT_TITLE; ?></a></li>
							  <li><a href="<?php print $appHelpLink;?>" alt="Help" target="_blank">Help</a></li>								
                              <li><a href="logout.php">Logout</a></li>
                           </ul>
                        </div>
                     </li>
                  </ul>
               </div>
               <div class="head_search">
                  <div class="common_msg error_msg"  <?php print $userName!=''?'':'style="display: block;"' ?>>
                     <p id="errorMsg"><?php print GUEST_USER; ?></p>
                     <a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
                  </div>
                  <div class="common_msg alert" tabindex="100">
                     <p>Loading...Please wait</p>
                     <a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
                  </div>
                  <div class="common_msg welcome_message">
                     <p>Welcome</p>
                     <a href="javascript:void(0)" class="close_info"><img width="16" height="16" title="Close" alt="close" src="include/images/close.png"></a>
                  </div>
                  <div class="float_lt page_title">
                    <h4 id = "login_page_header">
						<?php 
							if($userName!='')
								print BACKUP_TITLE;
							else
								print $machine=='twotier'?TWOTIER_ACCOUNT_TITLE:ACCOUNT_TITLE;			
						?>
					</h4>
                  </div>
                  <div class="storage_used">
                    <?php 
						if($userName!=''){
							//include("accountUsage.php"); 
							$usedQuota  ='';
							$totalQuota ='';
							$percentQuotaUsed ='';
							$usedQuota  = $_SESSION['usedQuota'];
							$totalQuota = $_SESSION['totalQuota'];
							$percentQuotaUsed = (($_SESSION['percentQuotaUsed'] == '')? 0 : $_SESSION['percentQuotaUsed']);
							?>
							<ul>
							  <li>Storage used:</li>
							  <?php if($_SESSION['isSubAccount']) { ?>
							  <li><span class="used_quota"><b><?php print $usedQuota; ?></b></span></li>
							  <li class="storage_box">			
								<div class="<?php print $_SESSION['userName']!=''?'storage_calculate':'disable_calc'; ?>">
									<img width="22" height="22" title="Recalculate" alt="Recalculate" src="include/images/spacer.png">
								</div>
								<div id="rcalcprg">
									<img border="0" align="absmiddle" src="include/images/loader_small.gif">
								</div>
							  </li>
							 <?php } else { ?>
							 <li><div class="storage_space"> <span style="width:<?php print $percentQuotaUsed.'%'; ?>;"> space </span> </div>
							  </li>
							  <li class="percentage"><?php print $percentQuotaUsed."%";?></li>
							  <li class="storage_box">			
								<div class="<?php print $_SESSION['userName']!=''?'storage_calculate':'disable_calc'; ?>">
									<img width="22" height="22" title="Recalculate" alt="Recalculate" src="include/images/spacer.png">
								</div>
								<div id="rcalcprg">
									<img border="0" align="absmiddle" src="include/images/loader_small.gif">
								</div>
							  </li>
							  <li><span class="used_quota"><?php print $usedQuota; ?></span> of <span class="total_quota"><?php print $totalQuota;?></span><?php } ?></li>
							</ul>
					<?php
						}
					?>
                  </div>
               </div>
            </section>
         </header>
	<section id="body-wrapper">	 
         <section class="leftnav trash-page-ltNav syno-oly">
            <ul>
               <li><a href="backup.php" id="nav_backup" class="leftnavbutton<?php print $userName!=''?' act':'' ?>" alt="<?php print BACKUP_TITLE; ?>">Backup</a></li>
               <li><a href="restore.php" class="leftnavbutton" id="nav_restore" alt="<?php print RESTORE_TITLE; ?>">Restore</a></li>
               <li><a href="scheduler.php" id="nav_scheduler" class="leftnavbutton" alt="<?php print $machine=='twotier'?TWOTIER_SCHEDULER_TITLE:SCHEDULER_TITLE; ?>">Scheduler</a></li>
               <li><a href="logs.php" class="leftnavbutton" id="nav_log" alt="<?php print LOGS_TITLE; ?>">Log</a></li>
			   <li><a href="expressBackup.php" class="leftnavbutton" id="nav_express" alt="<?php echo EXPRESS_BACKUP_TITLE; ?>">Express Backup</a></li>
            </ul>
			
			<!------------------------------progress bar -------------------->
	<div class="activity_prog_con" >
	  <div id="activity_progress_for_backup">
	  <div class="act_title" id="activityProgress_backup">Backup Progress...</div>
      <span class="min_act_icon" id="min_act_icon_backup"></span>
      <div class="clear"></div>
      <div class="progress_status" id="progress_status_backup">
      <span class="green-txt" id="activityProgress_backup_perc">0%</span> <div class="left_status_bar"><div class="left_status_bar_bg" id="left_status_bar_bg_backup"></div></div>
      </div>
	  </div>
	  <input type="hidden" name="ptype" id="ptype" value=""/>
	  <div id="activity_progress_for_restore">
	  <div class="act_title" id="activityProgress_restore">Restore Progress...</div>
      <span class="min_act_icon" id="min_act_icon_restore"></span>
      <div class="clear"></div>
      <div class="progress_status" id="progress_status_restore">
      <span class="green-txt" id="activityProgress_restore_perc">0%</span> <div class="left_status_bar"><div class="left_status_bar_bg" id="left_status_bar_bg_restore"></div></div>
      </div>
	  </div>
	  
      </div>
              
              <!---------- Next Schduler box Start  --------------------------->
              <div class="clear"></div>
                <div class="next-schdule-box schedule-box-wrap-fixed" id="nse_main_div" style="display: none;">
                    <div class="next-schdule-box-hdr">Next Scheduled Event</div>
                    <div class="next-schdul-con">
                        <div class="next-more-txt" style="display: none;"><a id="nse_scheduler_nav" href="#">More...</a></div>
                    </div>
                </div>
              <!--------- Next Schduler box End   ------------------------------> 
              <style>
              </style>
              <script src="include/scripts/schdule-script.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>

            </section>
    <!-- content: -->
    <section id="content" class="content" style="<?php print $userName!=''?'margin-top:125px;':'margin-top:167px;' ?>" >
              <?php
			if($userName == '' || ($_SESSION['encType'] == 'Private' && $_SESSION['configVerified'] != true)){
				include("account.php"); 
			} else {
				include("backup.php");
			}
		?>
            </section>
    <!-- /content -->	
	</section>
         </div>
		<footer>&copy; IDrive Inc.</footer>
       </div>
      </section>   
	  <div class="container-time-wrap">
		<div class="device-time-wrap" style="width: auto;">
			<div class="time-clock">
				<ul id="clock">
					<li id="sec" style="transform: rotate(324deg);"></li>
					<li id="hour" style="transform: rotate(456deg);"></li>
					<li id="min" style="transform: rotate(72deg);"></li>
				</ul>
			</div>
			<div class="time-innerwrap" style="width: 0px;">
				<p class="heading_time">Time on Device:</p>
				<p class="time-disp"> <span class="hours-disp">06</span> <span class="colon-disp">:</span> <span class="minutes-disp">08</span> <span class="meridiem-disp">PM</span> </p>
				<p class="current-date-wrap"> <span class="day-disp">Wed</span>, <span class="month-disp">Aug</span> <span class="date-disp">26</span> <span class="year-disp">2015</span> </p>
			</div>
			<div class="time-arrow">
				<a class="slide-arrow-open slide-arrow-close"></a>
			</div>
		</div>
	</div>
	
<div class="progress_box">
	<input type="hidden" name="userlogstatus" id="userlogstatus" value=""/>
	<div class="progress_inn_con">
    <div class="progress_hdr" style="display:none;">
    <div class="progress_hdr_lft" id="act_progress">Activity Progress</div>
    <div class="progress_hdr_rht" id="progress_hdr_rht_backup" >
    <!---<div class="minimize-icon" id="minimize-icon_backup"></div>-->
    <div class="close-icon" id="close-icon_backup"></div>
    </div>
    <div class="clear"></div>
    </div>
    <div class="drag_body_con" style="display:none;">
	 <div id="BackupProgress"></div>
    <!-- div class="restore_body_con" id="RestoreProgress" style="display:none;">
    </div -->
	<div id="RestoreProgress" style="display:none;"></div>
    </div>
    </div>
</div>
<!----------------------------progress bar ends here ----------------------------->
<div id="deDupPopupSection"></div>
	<script type="text/javascript" src="include/scripts/jquery.trackbar.js"></script>
	<script src="include/js/backup.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	<script src="include/js/custom.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	<script src="include/js/scheduler.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	<script src="include/js/accountValidation.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	<script src="include/scripts/popupScript.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	<script src="include/js/restore.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	<script src="include/js/preferences.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	<script src="include/js/search.js?ver=<?php echo $js_version;?>" type="text/javascript"></script>
	<script>
		var machine='<?php print $machine;?>';
		var sharedFolderPath='<?php print TWOTIER_SHARED_PATH;?>';
		var sharedFolderPathLength = sharedFolderPath.length-1;
		var vaultRestorePath='<?php print IDRIVE_VAULT_RESTORELOCATION_ROOT;?>';
		var workingFolderValue = '<?php print getOriginalServicePath();?>';
		var backupModeSet = '<?php print getBackupMode();?>';
		var workingFolderType  = 'folder';
		reIndexStarted = <?php print ((checkIfJobRunning($reIndexDirPath) == 0)? 'false' : 'true');?>;
		function notifyUpdate(type, updateUrl, latestVersion) {
			if ((machine == 'twotier') || (machine == 'synology')) {
				if (type == 'M') {
					showErrorMessages('.alert','Auto update is not available for' + latestVersion + '. Please follow the plugin update steps.');
				}
				else if (type == 'Y') {
					$('#page_loader').show();
					showErrorMessages('.alert','Updating...');
					document.location.href = updateUrl;
				}
			}
		}
		jQuery(document).ready(function(){
			jQuery('#page_loader').hide();
			if(jQuery('#registered_user').html() != '') {
				setTimeout('loadRestoreList()', 1000);
				<?php if($machine == 'twotier') { ?>
				if(machine == 'twotier') {
					$('.update-btn').show();
					$('.update-btn>a').click(function() {
						$('#page_loader').show();
						showErrorMessages('.alert','Updating...');
					});
				}
				<?php } ?>
			} else if (machine == 'twotier') {
				$('.update-btn').hide();
			}
			
			/*if(machine == 'synology') {
				$('.update-btn').show();
				$('.update-btn > a').click(function() {
					$('#page_loader').show();
					showErrorMessages('.alert', 'Updating...');
				});
			} */
			$( ".storage_calculate" ).trigger( "click" );

			<?php
			#Hiding update button for DSM7
			$DSM7 = 7;
			if($machine == 'synology')
				$ver = getSynoDSMVersion();

			if($machine != 'synology' or $ver < $DSM7) {
			?>
			$.ajax({
				url: "action.php?action=checkAppUpdate",
				type: "POST",
				success: function(checkAppUpdateData){
					if(checkAppUpdateData.indexOf('<html>')>0){
						window.location.href='../index.php';
					}		
					response = $.parseJSON(checkAppUpdateData);
					if((response['response'] == 'Y') || (response['response'] == 'M')) {
						$('.update-btn').show();
					}
				}
			});
			<?php } ?>
		});
	
	</script>
	<script type="text/javascript">
	<?php
		$now = exec('date "+%Y-%m-%d %H:%M:%S"');
		try {
			$now = new DateTime($now);
		} catch(Exception $e) {}
		
		echo sprintf("var serverDate = new Date('%s');\n", ($now->format("F d, Y H:i:s"))); 
	?>
	function format(type, value) {
		switch(type) {
			case 'month': var months=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];
			return months[value];
			case 'day': var days=["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
			return days[value];
		}
	}

	setInterval( function() {
		serverDate.setSeconds(serverDate.getSeconds()+1)

		var seconds = serverDate.getSeconds();
		var sdegree = seconds * 6;
		var srotate = "rotate(" + sdegree + "deg)";
		$("#sec").css({"-moz-transform" : srotate, "-webkit-transform" : srotate});

		var mins = serverDate.getMinutes();
		var mdegree = mins * 6;
		var mrotate = "rotate(" + mdegree + "deg)";
		$("#min").css({"-moz-transform" : mrotate, "-webkit-transform" : mrotate});

		var hours = serverDate.getHours();
		var mins = serverDate.getMinutes();
		var hdegree = hours * 30 + (mins / 2);
		var hrotate = "rotate(" + hdegree + "deg)";              
		$("#hour").css({"-moz-transform" : hrotate, "-webkit-transform" : hrotate});

		var day = format('day', serverDate.getDay());
		var month = format('month', serverDate.getMonth());
		var date = serverDate.getDate();
		var year = serverDate.getFullYear();
		var meridiem = ((hours < 12) ? "AM" : "PM");
		// hours = (hours % 12);
		hours = ((hours > 12)? (hours - 12) : hours);
		hours = ((hours < 10) ? ('0' + hours) : hours)
		mins = ((mins < 10) ? ('0' + mins) : mins);

		$('.container-time-wrap .hours-disp').text(hours);
		$('.container-time-wrap .minutes-disp').text(mins);
		$('.container-time-wrap .meridiem-disp').text(meridiem);

		$('.container-time-wrap .day-disp').text(day);
		$('.container-time-wrap .month-disp').text(month);
		$('.container-time-wrap .date-disp').text(date);
		$('.container-time-wrap .year-disp').text(year);
	}, 1000 );

$('.device-time-wrap').click( function() {
	var toggleWidth = $(".time-innerwrap").width() == 240 ? "0px" : "240px";
	$('.time-innerwrap').animate({ width: toggleWidth });
	$('.device-time-wrap').css('width','auto');
	$('.device-time-wrap').toggleClass('device-time-wrap-w');
	$('.device-time-wrap div.time-arrow a.slide-arrow-close').toggleClass('slide-arrow-open'); 
}); 
</script>
</body>
</html>
<?php exit; ?>