<?php
include_once 'path.php';
if(!isset($_SESSION['validUser']) || $_SESSION['validUser'] !== true)
	exit(header("Location:../index.php"));

$current_selJob = $_POST['backupsetName'];
$periodic_days = $_POST['periodic_days'];
$periodic_perc = $_POST['periodic_perc'];
$periodic_status = $_POST['periodic_cleanStatus'];
$temp = explode("_",$current_selJob,2);		

//$job_name = $temp[1];
$job_name = $current_selJob;
$archive_dir = Scheduler::$archiveclean_dir;

$pidDir = "$archive_dir/$job_name";

if(!is_dir($archive_dir)){
	if(!mkdir($archive_dir, $permissionVal)){
		echo "AR_DIR";
		Scheduler::Log(AR_PERIODIC . "[$job_name]" . "file:startarchive" . AR_DIR);
		exit;
	}		
	@chmod($archive_dir,$permissionVal);
}

if(!is_dir($pidDir)){
	if(!mkdir($pidDir, $permissionVal)){
		echo "JOB_DIR";
		Scheduler::Log(AR_PERIODIC . "[$job_name]" . "file:startarchive" . AR_JOB);
		exit;
	}		
	@chmod($pidDir,$permissionVal);
}

if($periodic_days !="" &&  $periodic_perc != "") // Add crontab entry
{
	$_POST['action'] = 'update_pc';
	$cronarr = getCrontime();
	$jobSettings = array();
	
	if($periodic_status == "enabled") {
		// periodicCronupdate(); #Commented for Harish_2.05.04_27_5 : Senthil
		$jobSettings = array("enabled", $cronarr[1], $cronarr [2], $periodic_perc, $periodic_days);
	}
	else{
		// Scheduler::RemoveCronEntry($job_name, ARCHIVE_JOB, ARCHIVE_JOB); #Commented for Harish_2.05.04_27_5 : Senthil
		$jobSettings = array("disabled", $cronarr[1], $cronarr [2], $periodic_perc, $periodic_days);
	}
	
	updateSchedulerInfo("Archive", $job_name, $jobSettings, $weekDaysSelected);
	/* Updating periodic cleanup details to .popUplist.txt file. */
	//Not using it now
	//$updatePeriodic = UpdatePeriodicJobs($current_selJob,$periodic_perc,$periodic_days,$periodic_status);
	
	
	$pidDir = "$archive_dir/$job_name";
	if(!is_dir($pidDir)){
		if(!mkdir($pidDir, $permissionVal))
			exit;
		@chmod($pidDir,$permissionVal);
	}	
}

/****************************************************************************************************
* Function Name         : getCrontime
* Objective             : Calculating Current Time for Periodic Cleanup
* Added By              : Sajana K
*****************************************************************************************************/
function getCrontime()
{
	$datetime = shell_exec('date +"%Y-%m-%d %T"');
	
	
	$time_split = explode(" ",$datetime);
	$date_split = explode(":",$time_split[1]);
	
	$archivePeriodHr = $date_split[0];
	$archivePeriodMin = $date_split[1];
	$archivePeriodSec = $date_split[2];
	
	$cronarr[1] = $archivePeriodHr;
	$cronarr[2] = $archivePeriodMin;
	
	return $cronarr;
}
/****************************************************************************************************
* Function Name         : UpdatePeriodicJobs
* Objective             : Updating periodic details for Periodic Cleanup
* Added By              : Sajana K
*****************************************************************************************************/
function UpdatePeriodicJobs()
{
	//not using it now
	GLOBAL $current_selJob;
	GLOBAL $periodic_perc;
	GLOBAL $periodic_days;
	GLOBAL $periodic_status;
	//not using this method now
	$jobs = Scheduler::ReadSchedulerJobs();
	
	$jobs[$current_selJob]["periodic"] = array();
	$jobs[$current_selJob]["periodic"]["perc"] = $periodic_perc;
	$jobs[$current_selJob]["periodic"]["days"] = $periodic_days;
	$jobs[$current_selJob]["periodic"]["status"] = $periodic_status;
	$json_data = json_encode($jobs);
	Scheduler::UpdateJob($json_data);
	return true;	
}
?>
