<?php 
if(!isset($_SESSION['validUser']) || $_SESSION['validUser'] !== true)
	exit(header("Location:../index.php"));

if($_POST)
	$curPage = $_POST['curPage'];

if($machine=='twotier')
		print '<p class="schedule_title"><label><b>Schedule your backup set</b></label><span></span></p>';
else
		print '<p class="schedule_title"><label>Schedule for </label><span></span></p>';

?>

<div id="start_time" class="setname backuptimes">
          <div class="backup_start_time">Start time</div>
          <div class="backup_set_time">
            <span class="backup_hr">Hr</span>
            <select class="select-drop" name="start_hour" id="start_hour" disabled="disabled">
		<?php foreach(Scheduler::$hour as $hr) {?>
			<option value="<?php echo $hr;?>"><?php echo str_pad($hr, 2, '0', STR_PAD_LEFT);?></option>
		<?php }?>
            </select>
			  &nbsp;&nbsp;
			 <span class="backup_hr">Min</span>
            <select class="select-drop" name="start_minute" id="start_minute" disabled="disabled">
              <?php foreach(Scheduler::$minutes as $min) {?>
			<option value="<?php echo $min;?>"><?php echo str_pad($min, 2, '0', STR_PAD_LEFT);?></option>
		<?php }?>
            </select>
            &nbsp;&nbsp;&nbsp; &nbsp;
            <select class="select-drop" name="start_meridian" id="start_meridian" disabled="disabled">
              <?php foreach(Scheduler::$meridian as $k=>$mer) {?>
			<option value="<?php echo $k;?>"><?php echo $mer;?></option>
		<?php }?>
            </select>
          </div>
</div>
<div class="scheduleday setname schedulerOption">
	<div class="schedule-Daily-row">
		<div class="row">
			<div class="schedule_radiobtn">
				<input type="radio" name="scheduler_selection" id="scheduler_selection" value="daily" class="daily_backup">
				<label>Daily</label>
			</div>
			<span class="radio_test">Daily</span>
		</div>
    </div>
	<div class="hr_line"></div>
	<ul>
		<?php foreach(Scheduler::$weekdays as $k=>$day) {?>
			<li><div class="row"><div class="schedule_checkbox"><input name="weekday_selection" id="weekday_selection" type="checkbox" value="<?php echo $k;?>"><label><?php echo $day;?></label></div><span class="check_test"><?php echo $day;?></span></div></li>
		<?php }?>
	</ul>
</div>		
<div class="monthly setname schedulerOption">
	<div>
		<div class="schedule-monthly-row">
			<div class="row">
				<div class="schedule_radiobtn">
					<input type="radio" name="scheduler_selection" class="notify_always" id="scheduler_selection" value="monthly">
					<label>Monthly</label>
				</div>
				<span class="radio_test">Monthly</span>
			</div>
		</div>
		<div class="schedule-monthly-select">
			<select  class="select-drop" name="day_of_month" id="day_of_month" disabled="disabled">
			<?php foreach(Scheduler::$day_of_month as $dm) {?>
				<option value="<?php echo $dm;?>"><?php echo $dm;?></option>
			<?php }?>
			</select>
		</div>
	</div>
</div>
<div class="monthly setname schedulerOption">
 <ul>
	<li>
	    <div class="schedule-hourly-row">
			<div class="row">
				<div class="schedule_radiobtn">
					<input type="radio" class="notify_always" name="scheduler_selection" id="scheduler_selection" value="hourly">
					<label>Hourly Schedule</label>
				</div>
				<span class="radio_test">Hourly Schedule</span>
			</div>
		</div>
	</li>
	<li>
		<div class="row">
			<div class="schedule_checkbox">
				<input name="start_immediately" id="start_immediately" type="checkbox">
				<label> Start immediately </label>
			</div>
			<span class="check_test"> Start immediately</span>
		</div>
	</li>	
</ul>
<div class="clear"></div>
<div class="hr_line"></div>
	<ul>
	 <li>
	<div class="row">
		<div class="schedule_checkbox">
			<input name="cut_off_time" id="cut_off_time"  type="checkbox" disabled="disabled">
			<label>Cut-off Time</label>
		</div>
		<span class="check_test">Cut-off Time</span>
	</div>
	</li>	
	<li>  
		<span>Hr
			<select class="select-drop" disabled="disabled" name="cutoff_hour" id="cutoff_hour">
                <?php foreach(Scheduler::$hour as $hr) {?>
				<option value="<?php echo $hr;?>"><?php echo str_pad($hr, 2, '0', STR_PAD_LEFT);?></option>
				<?php }?>
            </select>&nbsp;&nbsp; Min
			<select class="select-drop" disabled="disabled" name="cutoff_minute" id="cutoff_minute">
				<?php foreach(Scheduler::$minutes as $min) {?>
				<option value="<?php echo $min;?>"><?php echo str_pad($min, 2, '0', STR_PAD_LEFT);?></option>
				<?php }?>
            </select>&nbsp;&nbsp;&nbsp;&nbsp;
            <select class="select-drop" disabled="disabled" name="cutoff_meridian" id="cutoff_meridian">
                <?php foreach(Scheduler::$meridian as $k=>$mer) {?>
				<option value="<?php echo $k;?>"><?php echo $mer;?></option>
				<?php }?>
            </select>
		</span>
	</li>
	</ul>
</div>
<div class="setname mail_notify">
	<div class="notify_box notifyOption">
	    <div class="email-notification">
			<div class="row">
				<div class="schedule_checkbox">
					<input name="email_notify" id="email_notify" type="checkbox" class="email_notify">
					<label>Email notification &nbsp;</label>
				</div>
				<span class="check_test">Email notification &nbsp;</span>
			</div>
		</div>
		<div class="Notify-always-row">
			<div class="row">
				<div class="schedule_radiobtn">
					<input disabled="disabled" checked="checked" type="radio" class="notify_always" name="notify_option" id="notify_option" value="always">
					<label class="label_checked">Notify always</label>
				</div>
				<span class="radio_test">Notify always</span>
			</div>
		</div>
		<div class="Notify-failure-row">
			<div class="row">
				<div class="schedule_radiobtn">
					<input disabled="disabled" type="radio" class="notify_failure" name="notify_option" id="notify_option" value="onFailure">
					<label class="">Notify on failure</label>
				</div>
				<span class="radio_test">Notify on failure</span>
			</div>
		</div>
	
	</div>
	<div class="hr_line"></div>
	<div class="notfiy_txtbox">
		<input name="email" id="email" disabled="disabled" type="text" class="backupsetInput" placeholder="" onkeydown="return (event.keyCode!=13);">
		Add additional email ids followed by , or ;
	</div>
</div>	



