<?php
require_once "path.php";
if(!isset($_SESSION['validUser']) || $_SESSION['validUser'] !== true)
	exit(header("Location:../index.php"));

$jobs = Scheduler::ReadSchedulerJobs();
?>

<script>
IDrive.Jobs = <?php echo json_encode($jobs["Backup"]);?>;
IDrive.ArchiveJobs = <?php echo json_encode($jobs["Archive"]);?>;
if(typeof(IDrive.Scheduler.SelectedJob) != "undefined") {
	IDrive.Scheduler.SelectedJob = undefined;
}
if(machine=='twotier'){
	jQuery(document).ready(function(){
		IDrive.Scheduler.SelectJob(DEFAULT_BACKUPSET_NAME, 'Backup');
		IDrive.Scheduler.ScheduledTaskWatcher();
	});
} else {
	jQuery('.ajax_loader').show();
	IDrive.Scheduler.LoadSchedulerList(true);
}

</script>

<div class="container body_wrap logs_wrap scheduler_page">
	<div class="ajax_loader"></div>
		  <div class=" exclude manage_exclude" style="margin-bottom: 0px;">
		  <div class="excludeContainer">
		  <table width="100%" border="0" cellspacing="0" class="folderBackup jobs_heading" cellpadding="6" align="center" >
              <tr bgcolor="#edf2f5" class="jobs_heading">
                <td class="action_jobname"><span class="blue">Job Name</span></td>
                <td class="action_jobtype"><span class="blue">Job Type</span></td>
                <td class="action_jobweekly"><span class="blue">Scheduled</span></td>
                <td class="action_jobtime"><span class="blue">Time</span></td>
				<td class="action_cancel"  align="center"><span class="blue">Cancel Job</span></td>
				<td class="action_delete job_delete" align="center"><span class="blue" >Delete Job</span></td>
              </tr>
			</table>
			 <div class="nfiles" <?php if(empty($jobs)) {?> style="display:block;"<?php }?>><?php print NO_SCHEDULER;?></div>
            <div id="job_list_table" class="excludefiles scheduler_part"><!-- style="overflow:auto;min-height: 250px;"-->
           </div> <!-- excludefiles -->
		    </div> <!-- excludeContainer -->
		   </div>
          
		<!-- Confirmation box for Delete JOB - Start -->
		<div style="width: 550px;" class="popup_container popContent delete_job_popup popLeft">
          <section class="popup_header">
            <h4>Delete Job</h4>
            <span class="popup_close_btn hide_popup"></span>
          </section>
          <section class="popup_body">
			<p><span class="msg">Are you sure you want to delete </span><span class="job_bold">job</span>?</p>
		 <div class="clear"></div>
		  </section>
		   <section class="popup_footer">
			<div class="btncontainer">				
				<input type="button" value="Ok" class="addButton" id="deleteJobButton">
				<input type="button" value="Cancel" class="scheduleBtn popup_cancelBtn">
				<input type="hidden" id="clearLogObject">
			</div>
		 </section>
        </div>
	 <!-- Confirmation box for Delete JOB - End -->	
	 <!-- Confirmation box for Cancel JOB - Start -->
		<div style="width: 550px;" class="popup_container popContent cancel_job_popup popLeft">
          <section class="popup_header">
            <h4>Cancel Job</h4>
            <span class="popup_close_btn hide_popup"></span>
          </section>
          <section class="popup_body">
			<p>Are you sure you want to cancel <span class="job_bold">job</span>?</p>
		 <div class="clear"></div>
		  </section>
		   <section class="popup_footer">
			<div class="btncontainer">				
				<input type="button" value="Ok" class="addButton" id="cancelJobButton">
				<input type="button" value="Cancel" class="scheduleBtn popup_cancelBtn">
			</div>
		 </section>
        </div>
		<!-- Confirmation box for Cancel JOB - End -->		
          <div id="scheduler_div" class="manage_wrap" style="display:none;padding: 0 35px 35px 35px;">
           
       <div class="manage_schedule">
			<div id="vaultCancelJob" class="cancel-job">
			<img id="vaultCancelJobButton" class="cancel_job_blue" src="include/images/IDriveVault_cancelJob.png" alt="cancel-job"/>
            <!-- <img class="cancel_job_gray" src="include/images/IDriveVault_cancelJob_grey.png" alt="cancel-job"/> -->
            </div>
			<form name="frm_update_schedule" id="frm_update_schedule" method="post" >
			<div class="restore_schedule_wrap">       
        
	<?php 
		//Backup Scheduler
		$curPage = 'backup';
		include_once('scheduleDiv.php'); 
	?>
		
       <div class="manage_submit">
			<input id="update_scheduler" name="update_scheduler" type="button" value="Update Schedule" class="scheduleBtn">
            <?php if($machine=='twotier') { ?>
            	<input id="delete_scheduler" name="delete_scheduler" type="button" value="Delete Schedule" class="scheduleBtn">
				<span class="scheduleBtn" id="disableDelete">Delete Schedule</span>
			<?php } ?>
		</div>
		</div>
			</form>
		
		</div>
	  </div> <!-- manage_wrap -->
		  
</div> <!-- container body_wrap logs_wrap -->

